#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x28894fcd, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0xc806641f, "");
SYMBOL_CRC(__bcma_driver_register, 0x1335ee36, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x26865bc6, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x358b0ee7, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0xc4ed2f09, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x7c6c0487, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x14898a61, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0xe7083ebb, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0xcea50e20, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xc0d4fb44, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0xcffc453a, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x40ed320e, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x02463d3a, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0xaec6c330, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0xa68494db, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0x322f3084, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0xfe9c9d13, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x363fa556, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x4353b188, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x3e183d44, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x01241d4c, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x95c09392, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x7f09c860, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0xba4ab765, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x2c9c3287, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x842c2fbd, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7a04051e, "dev_set_name" },
	{ 0xbb6a3f23, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x216ea206, "device_unregister" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xb06c33bd, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xee5bfc92, "device_initialize" },
	{ 0x77de5fb4, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x947e415b, "get_device" },
	{ 0x98b1b94c, "__dynamic_dev_dbg" },
	{ 0x417c842, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfec87504, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xd109d941, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7802aa1a, "_dev_info" },
	{ 0xac9dcdf4, "gpiochip_get_data" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6da1b2fd, "bus_unregister" },
	{ 0x6c7738f4, "_dev_err" },
	{ 0xe60e0872, "device_add" },
	{ 0x6f53f844, "platform_device_unregister" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x118b0ed2, "driver_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x9b1d141, "pci_iounmap" },
	{ 0xb19b445, "ioread8" },
	{ 0xf1e70274, "_dev_warn" },
	{ 0xb536760b, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x130cd1da, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4831af0c, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd5fd5b7, "platform_device_register_full" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0x4e70bef3, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x560fd57e, "pci_disable_device" },
	{ 0xefd2ba5b, "pcie_set_readrq" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x401027cd, "driver_register" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x31dcc264, "__dev_fwnode" },
	{ 0x66c37be, "pci_write_config_dword" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0x19896987, "bus_register" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25C521496BAEF4FC1986235");
MODULE_INFO(rhelversion, "9.5");
