#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x5a6a87b9, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0xf664d974, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x04de4489, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x79b4d2e3, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x118a9605, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x2e78035d, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0xb1bca420, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x17c4cae0, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x2bfb4f42, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0xb1dbdccd, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xdf94680d, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x448b377b, "_gpl");
SYMBOL_CRC(mhi_notify, 0x13c6e230, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0xd0d93b7c, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x3218134a, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x3cad7e1f, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x471b15fa, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0x2fbcb960, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0xc51e3a7e, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x65f2baad, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0x7fd83d32, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0xdddf94bd, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0xa4ee3de5, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xe17f82f5, "_gpl");
SYMBOL_CRC(mhi_power_down, 0xeb427956, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x9673ff59, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x352f4eca, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x3296a093, "_gpl");
SYMBOL_CRC(mhi_device_get, 0xe47aa9e7, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x269f7f44, "_gpl");
SYMBOL_CRC(mhi_device_put, 0x35392a71, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0xf50f6e4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x54f70983, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x86a5dfb, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7a04051e, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7ebb7ea1, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xea4fc978, "finish_wait" },
	{ 0x6f66e672, "dma_unmap_page_attrs" },
	{ 0x96d0b299, "request_firmware" },
	{ 0xfd39d637, "trace_event_printf" },
	{ 0xee5bfc92, "device_initialize" },
	{ 0xc66cf631, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x6a4b31e, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x77e77eaf, "bpf_trace_run2" },
	{ 0x7945f6a2, "prepare_to_wait_event" },
	{ 0x1a648f20, "__wake_up" },
	{ 0xfc28c9d6, "event_triggers_call" },
	{ 0x947e415b, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x98b1b94c, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc959958b, "dev_driver_string" },
	{ 0xfa01e14e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x61ccb82a, "dma_map_page_attrs" },
	{ 0x2404b3e8, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xd109d941, "put_device" },
	{ 0xadd27cfd, "trace_event_ignore_this_pid" },
	{ 0x123a6a46, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x7802aa1a, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x46d98881, "perf_trace_run_bpf_submit" },
	{ 0x6da1b2fd, "bus_unregister" },
	{ 0x6c7738f4, "_dev_err" },
	{ 0xec905379, "device_wakeup_enable" },
	{ 0xe60e0872, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x914f65ce, "dma_alloc_attrs" },
	{ 0x8925112f, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x118b0ed2, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7ac7cc96, "device_del" },
	{ 0xf1e70274, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xffffb74e, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0xc38604c1, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe3ddcd5f, "rt_read_lock" },
	{ 0xcb157667, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x32000ea2, "trace_event_buffer_reserve" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc30df995, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc4839a01, "rt_write_lock" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x401027cd, "driver_register" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0x19896987, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8615C9DE2D5B950726F5A5C");
MODULE_INFO(rhelversion, "9.5");
