#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x91428025, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x7d59119a, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x11cb3083, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0xe1ecf94c, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x67c18f96, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0xee04c91f, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x59818a7c, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x82c130bd, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x9cf1ba23, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0xbb623e0a, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x709cc8ce, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x14d9383e, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0x718944dd, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xc01551c1, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x29717479, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0xbfd42858, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x40f46c48, "vmf_insert_pfn" },
	{ 0x6a0a9e74, "ww_mutex_lock_interruptible" },
	{ 0xd740fbfd, "drm_gem_get_pages" },
	{ 0xce1793a9, "dma_buf_vmap" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xf906f42c, "invalidate_mapping_pages" },
	{ 0xbcce79b7, "ww_mutex_unlock" },
	{ 0xe37bd621, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x3daea097, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x3857e727, "drm_gem_create_mmap_offset" },
	{ 0xab9c25f6, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc959958b, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x858e9351, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6d69a381, "set_pages_array_wb" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x5f76118c, "drm_gem_vm_close" },
	{ 0x6b142e5f, "drm_gem_vm_open" },
	{ 0x413aa6b1, "drm_gem_object_release" },
	{ 0x3796de2e, "ww_mutex_lock" },
	{ 0xa394e204, "vmap" },
	{ 0x958abae, "drm_gem_handle_create" },
	{ 0x54a2976a, "__drm_dev_dbg" },
	{ 0x5abf1acf, "drm_prime_pages_to_sg" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2945bb76, "dma_buf_vunmap" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x89938c65, "shmem_truncate_range" },
	{ 0x5103e820, "set_pages_array_wc" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0xba6eb265, "dma_map_sgtable" },
	{ 0xf13d9c97, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17054e96, "dma_unmap_sg_attrs" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x88755609, "drm_gem_put_pages" },
	{ 0xddace6ef, "drm_gem_private_object_fini" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0x21ae4331, "drm_prime_gem_destroy" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "7B036E953BCF9591D0D5063");
MODULE_INFO(rhelversion, "9.5");
