#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0x243711c7, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x2e7c7fcf, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0xc5104bd2, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x3ecf7b00, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0x47d7f254, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0xd29e4908, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0xd98696b1, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0xc511a826, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0xafacde9c, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x2dea0d2d, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x3cde7973, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0xe123d3b1, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0x363fc388, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x77913083, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x0d6c85ce, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x38809fbd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7a04051e, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x7770d861, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xea4fc978, "finish_wait" },
	{ 0xee5bfc92, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa6dd3219, "seq_lseek" },
	{ 0x7945f6a2, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x1a648f20, "__wake_up" },
	{ 0x947e415b, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x28e22046, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xce47785d, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xf70c81b5, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xd109d941, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6da1b2fd, "bus_unregister" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x66789870, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x277aaba3, "kthread_stop" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xffffb74e, "__init_waitqueue_head" },
	{ 0xd5d88eec, "kthread_create_on_node" },
	{ 0x6165b759, "seq_read" },
	{ 0xc3967f79, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x644716a, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x2a10135c, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1311ae37, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xc038657b, "seq_puts" },
	{ 0x612bf1ca, "single_release" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xfd312e54, "param_ops_int" },
	{ 0xbe5f9b28, "single_open" },
	{ 0x6978dd65, "debugfs_create_dir" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0x7a0e7e6f, "cdev_init" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0x19896987, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "13504F5D380BA58ACD4AAC7");
MODULE_INFO(rhelversion, "9.5");
