#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x7ba9737a, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x0c4a8bc9, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x21614b05, "_gpl");
SYMBOL_CRC(tap_free_minor, 0xaa809476, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xa21b430a, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x83a07475, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x75226c79, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x6027877a, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0xf74d5d2e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf51753ed, "netdev_err" },
	{ 0x6fe0ac5b, "idr_remove" },
	{ 0x1a648f20, "__wake_up" },
	{ 0xc231fefe, "_copy_to_iter" },
	{ 0x82d9fa2e, "iov_iter_advance" },
	{ 0xc6465022, "skb_copy_datagram_iter" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x39179186, "idr_find" },
	{ 0x7ff4b9b6, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xffffb74e, "__init_waitqueue_head" },
	{ 0xea0ff8fb, "sock_init_data_uid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3e02589b, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7a0e7e6f, "cdev_init" },
	{ 0x9fdce264, "cdev_add" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x96ae13f0, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbfd158e4, "dev_set_mac_address_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8b691594, "dev_get_mac_address" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x8b630f59, "consume_skb" },
	{ 0xea4fc978, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x664ec0b7, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xc07ba667, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb15ec0a3, "skb_push" },
	{ 0x2ac18aaa, "__skb_gso_segment" },
	{ 0x44b88ee2, "__skb_get_hash" },
	{ 0x825f5238, "skb_checksum_help" },
	{ 0x6aee8ca7, "kfree_skb_list_reason" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x2fa60fdf, "__skb_flow_dissect" },
	{ 0x1be24edf, "skb_partial_csum_set" },
	{ 0xbd956c0e, "__pskb_pull_tail" },
	{ 0x19fff0d9, "iov_iter_npages" },
	{ 0xa8325a34, "_copy_from_iter" },
	{ 0xfb87d28, "sock_alloc_send_pskb" },
	{ 0xb1f221e4, "skb_put" },
	{ 0x46dcec03, "zerocopy_sg_from_iter" },
	{ 0xb9cc602b, "__dev_queue_xmit" },
	{ 0xf483eac9, "skb_copy_datagram_from_iter" },
	{ 0x1c0f6111, "iov_iter_revert" },
	{ 0x3bc51873, "skb_copy_bits" },
	{ 0x68cfd3fd, "build_skb" },
	{ 0x92e680a1, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2e9ea147, "kfree_skb_reason" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xff49b5ff, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "798B7968E186D5671C997E0");
MODULE_INFO(rhelversion, "9.5");
