#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x082aa20e, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x2963be0f, "_gpl");
SYMBOL_CRC(wwan_create_port, 0x9af5196a, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0xeba861f9, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0xb20f04f4, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0xe1f7adce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb033f548, "ida_alloc_range" },
	{ 0xe2de4699, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc3b70f7a, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb1f221e4, "skb_put" },
	{ 0x7a04051e, "dev_set_name" },
	{ 0x8b630f59, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x216ea206, "device_unregister" },
	{ 0xd6d6c2d2, "skb_dequeue" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xea4fc978, "finish_wait" },
	{ 0xda8c0fd5, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a4b31e, "device_for_each_child" },
	{ 0x7945f6a2, "prepare_to_wait_event" },
	{ 0x1a648f20, "__wake_up" },
	{ 0x8b04efa6, "rtnl_create_link" },
	{ 0x1d29c147, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x25fe1a02, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2068999c, "alloc_netdev_mqs" },
	{ 0x3154cac6, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xd109d941, "put_device" },
	{ 0xb2281028, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7802aa1a, "_dev_info" },
	{ 0x9d4c9354, "skb_queue_tail" },
	{ 0x9ad4c13d, "rtnl_configure_link" },
	{ 0x92e680a1, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe78775ad, "rtnl_link_unregister" },
	{ 0xdf9e8c7d, "init_net" },
	{ 0x8a0fa9c, "skb_pull" },
	{ 0xe05e6a98, "noop_llseek" },
	{ 0x2e9ea147, "kfree_skb_reason" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x66789870, "debugfs_remove" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x712d0abf, "free_netdev" },
	{ 0x67a97a28, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcc621b03, "class_dev_iter_init" },
	{ 0x631c9e1f, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xffffb74e, "__init_waitqueue_head" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0x16610e56, "__register_chrdev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x156334b5, "stream_open" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x829c8251, "device_find_child_by_name" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x6978dd65, "debugfs_create_dir" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0xd96b2bb5, "class_register" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0x8d47e35b, "skb_queue_head" },
	{ 0x607c5192, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xaf2a3cb5, "register_netdevice" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5F523DC18C1E553FB04656D");
MODULE_INFO(rhelversion, "9.5");
