#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x8d82925d, "");
SYMBOL_CRC(ntb_unregister_client, 0x57d4bcda, "");
SYMBOL_CRC(ntb_register_device, 0xa8513b23, "");
SYMBOL_CRC(ntb_unregister_device, 0x0401e7e7, "");
SYMBOL_CRC(ntb_set_ctx, 0x986691b6, "");
SYMBOL_CRC(ntb_clear_ctx, 0xa5f9cfac, "");
SYMBOL_CRC(ntb_link_event, 0x86e4383b, "");
SYMBOL_CRC(ntb_db_event, 0x4a98f76a, "");
SYMBOL_CRC(ntb_msg_event, 0xa3aec550, "");
SYMBOL_CRC(ntb_default_port_number, 0xd94e1f34, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x104c680e, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0xb7bdd86d, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0x87d4c560, "");
SYMBOL_CRC(ntb_msi_init, 0x42f8292e, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0x6ece4474, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x93d09e71, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0xb121b820, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xf1890354, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0xa1f11b9e, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x7b78f7da, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x407f22c8, "devm_request_threaded_irq" },
	{ 0x32ebca8d, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7a04051e, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xa60c80a8, "devm_iounmap" },
	{ 0x216ea206, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0x9456edad, "devres_destroy" },
	{ 0xb26e2df3, "msi_unlock_descs" },
	{ 0xbc8e1922, "devm_ioremap" },
	{ 0x947e415b, "get_device" },
	{ 0x42ccd97c, "msi_lock_descs" },
	{ 0xc75b8bc, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xd109d941, "put_device" },
	{ 0x55f931cc, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6da1b2fd, "bus_unregister" },
	{ 0x8246c69, "devm_kfree" },
	{ 0xd9a621d5, "irq_get_irq_data" },
	{ 0xaeec374c, "__devres_alloc_node" },
	{ 0x118b0ed2, "driver_unregister" },
	{ 0x631c9e1f, "device_register" },
	{ 0xf1e70274, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x48e613ff, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x103bbfd5, "msi_next_desc" },
	{ 0x401027cd, "driver_register" },
	{ 0x19896987, "bus_register" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");
MODULE_INFO(rhelversion, "9.5");
