#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x2b68126b, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xc9906cfd, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x20b33de0, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x3707e4a7, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x8d99ea17, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x30d48e47, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xd22b6234, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x9f16ab44, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x533cd553, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x6b695e9e, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x798cb84f, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xfa1cba75, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x6e2d61b0, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x1e92e2b4, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xf01b2b33, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x9b994c06, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xb477da81, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xfe558bcf, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x42ffdb55, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x4cb0b48f, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x7d6e2367, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x3a3b72d9, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x64b748e2, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x3385df39, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xfb8d2b83, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x12fd879c, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xabfcf10c, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xfdfe5578, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x14f7c6c4, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x6351cfb4, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x8e08fba6, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0xf933b644, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xee8779c8, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x709b46a7, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x901c8298, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xb152d0c1, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x354662f1, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xbcad97b3, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x1427fb6a, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x5d01ec95, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x9962a1fd, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xfb764c49, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x9c268241, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x6947a834, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x51b85a63, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xfa07e29c, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xecfd5fe9, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x78dacaf1, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x9d4f7636, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x9f311d83, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x3b5fe415, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xf780f87b, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0xe9d7c573, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0xeb7d5aac, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x671467dd, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x01bd8e05, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x5a5bd95b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x764396bc, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0xc7ceecdd, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x373ec7f8, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x11541f7a, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0xecad0c40, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x824bd2ff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb6c1c953, "set_capacity_and_notify" },
	{ 0xf208e4d, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x440495e, "set_disk_ro" },
	{ 0x57ba106a, "__blk_alloc_disk" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0xd0fd3b66, "blk_integrity_register" },
	{ 0x452ee2f5, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x8ab1ff99, "device_remove_file_self" },
	{ 0x7236974a, "param_ops_uint" },
	{ 0xa1c2462d, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa05d2bc8, "blk_queue_logical_block_size" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7a04051e, "dev_set_name" },
	{ 0x645e468, "ext_pi_type3_crc64" },
	{ 0x76753d08, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xa7f7bd99, "disk_update_readahead" },
	{ 0xad883bd2, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x8aef5383, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7ebb7ea1, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xab0dd930, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x7770d861, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xea4fc978, "finish_wait" },
	{ 0xfd39d637, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xee5bfc92, "device_initialize" },
	{ 0x50a89e53, "blk_mq_unquiesce_queue" },
	{ 0x178cef17, "t10_pi_type1_crc" },
	{ 0x3d519adb, "blk_queue_dma_alignment" },
	{ 0x4ee70f08, "blk_mq_quiesce_queue" },
	{ 0xc66cf631, "trace_event_raw_init" },
	{ 0x4460e315, "ext_pi_type1_crc64" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2bc0d6b2, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5141ae04, "blk_queue_write_cache" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x77e77eaf, "bpf_trace_run2" },
	{ 0x7945f6a2, "prepare_to_wait_event" },
	{ 0xa94739a5, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x1a648f20, "__wake_up" },
	{ 0xfc28c9d6, "event_triggers_call" },
	{ 0x5e9dbb62, "synchronize_srcu" },
	{ 0xb2878ef1, "param_ops_byte" },
	{ 0xb4b309c1, "kmem_cache_create" },
	{ 0x947e415b, "get_device" },
	{ 0xc6f97699, "blk_mq_end_request" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd2ade204, "__blk_mq_alloc_disk" },
	{ 0x98b1b94c, "__dynamic_dev_dbg" },
	{ 0x4de38fee, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5391d625, "blk_integrity_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa04e231c, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe65c66c1, "blk_mq_alloc_tag_set" },
	{ 0x2e4fcd30, "blk_rq_is_poll" },
	{ 0xfa01e14e, "trace_event_buffer_commit" },
	{ 0x9b8e3bf5, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8a8ba080, "mempool_create" },
	{ 0x1d5b85a2, "put_disk" },
	{ 0xff1035f0, "crypto_alloc_kpp" },
	{ 0xce47785d, "cdev_device_add" },
	{ 0xea01e5e1, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x64691e6a, "blk_queue_physical_block_size" },
	{ 0x40752201, "blk_execute_rq" },
	{ 0xd109d941, "put_device" },
	{ 0xadd27cfd, "trace_event_ignore_this_pid" },
	{ 0xd1ed8ec4, "blk_mq_unquiesce_tagset" },
	{ 0xa0de03ea, "blk_queue_max_zone_append_sectors" },
	{ 0xa916b694, "strnlen" },
	{ 0x3da60c08, "kmalloc_node_trace" },
	{ 0xb886a507, "blk_queue_flag_set" },
	{ 0x1514aae6, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xcb2ffac3, "blk_mq_free_request" },
	{ 0xec0e3147, "disk_set_zoned" },
	{ 0x618911fc, "numa_node" },
	{ 0x8e9b03d8, "__free_pages" },
	{ 0x7802aa1a, "_dev_info" },
	{ 0x80f7d915, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2d1651c8, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xa7308137, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7cfe1840, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x92e680a1, "compat_ptr_ioctl" },
	{ 0x5a444e1c, "t10_pi_type3_crc" },
	{ 0x7f8829a3, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xfaab7c6, "blk_mq_quiesce_tagset" },
	{ 0xac5851bd, "key_put" },
	{ 0x538a9264, "kobject_uevent_env" },
	{ 0x605b5aa0, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe173daf7, "init_srcu_struct" },
	{ 0x46d98881, "perf_trace_run_bpf_submit" },
	{ 0x224f6632, "__SCK__tp_func_block_bio_remap" },
	{ 0x6c7738f4, "_dev_err" },
	{ 0xc0e818be, "blk_revalidate_disk_zones" },
	{ 0x530d7c9a, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe60e0872, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x33885902, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x98277b4d, "sysfs_remove_link" },
	{ 0xe5582b3b, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x803acca1, "__srcu_read_lock" },
	{ 0x7d18712c, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3a9adb57, "submit_bio_noacct" },
	{ 0x833d543f, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcb085385, "mutex_lock" },
	{ 0xd0307e1d, "blk_sync_queue" },
	{ 0x2499139d, "bdev_start_io_acct" },
	{ 0xb9dea3cd, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x965d4e00, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x8925112f, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xe8a0474d, "blk_mq_alloc_request_hctx" },
	{ 0x2f8af04d, "__io_uring_cmd_do_in_task" },
	{ 0xdf755388, "blk_mq_alloc_request" },
	{ 0xaf780e2d, "ida_free" },
	{ 0xadcf191a, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4819a052, "crypto_shash_update" },
	{ 0x67a97a28, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5cbe626c, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6e3bf1c8, "del_gendisk" },
	{ 0x1a2e5447, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5cd2d886, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xa69fa2ff, "bio_integrity_alloc" },
	{ 0xc46321e9, "blk_queue_max_discard_segments" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x33815f72, "blk_set_stacking_limits" },
	{ 0x64ab800c, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x7c93cba4, "blk_put_queue" },
	{ 0xea7dda1d, "bpf_trace_run1" },
	{ 0x7ac7cc96, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0xf1e70274, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x66caaa72, "blk_mq_wait_quiesce_done" },
	{ 0x7ffa13d, "blk_queue_max_segments" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xffffb74e, "__init_waitqueue_head" },
	{ 0xdcbd3b66, "blk_mq_init_queue" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0xf8325827, "io_uring_cmd_done" },
	{ 0x3914d45e, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x1d4dca83, "xa_erase" },
	{ 0xc38604c1, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x321306f0, "blk_queue_virt_boundary" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2a7a2bc7, "blk_mq_complete_request" },
	{ 0x50bf8517, "blk_queue_chunk_sectors" },
	{ 0x1aa99360, "blk_queue_max_write_zeroes_sectors" },
	{ 0x4f97c404, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x32000ea2, "trace_event_buffer_reserve" },
	{ 0x2914e045, "crypto_shash_final" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x644716a, "param_ops_bool" },
	{ 0x821ddd5a, "blk_mq_destroy_queue" },
	{ 0x4f4ae627, "xa_destroy" },
	{ 0xb89d2ef, "blk_freeze_queue_start" },
	{ 0xd648b3bd, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x5ecf35a1, "xa_find" },
	{ 0xbbc7ef42, "alloc_pages" },
	{ 0x6932d0e6, "mempool_destroy" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x2f3f84aa, "__tracepoint_block_bio_complete" },
	{ 0x1bc585cf, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x3359ad99, "blk_queue_io_min" },
	{ 0xd18703b2, "__srcu_read_unlock" },
	{ 0x1d175e8a, "__tracepoint_block_bio_remap" },
	{ 0x1f4f796, "blk_mq_unfreeze_queue" },
	{ 0xb1cf7126, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xf2399e8e, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2a960daf, "blk_rq_map_user_iov" },
	{ 0x63aa6a8e, "xa_find_after" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0xf31c987e, "blk_queue_max_hw_sectors" },
	{ 0x698df791, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x70ffdda5, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1ffb12d, "crypto_alloc_shash" },
	{ 0x446234d0, "blk_mq_freeze_queue_wait" },
	{ 0xe7f472d0, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xf4df729e, "blk_queue_io_opt" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7b356c0, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0xd96b2bb5, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7a0e7e6f, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb0b1f133, "bdev_end_io_acct" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x24e0b811, "blk_steal_bios" },
	{ 0xff9ffea8, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "t10-pi,nvme-auth");


MODULE_INFO(srcversion, "1C0862B0B4C9D7F92098C80");
MODULE_INFO(rhelversion, "9.5");
