#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvmf_get_address, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read32, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_read64, "_gpl", "");
KSYMTAB_FUNC(nvmf_reg_write32, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_connect_io_queue, "_gpl", "");
KSYMTAB_FUNC(nvmf_should_reconnect, "_gpl", "");
KSYMTAB_FUNC(nvmf_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmf_set_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_map_queues, "_gpl", "");
KSYMTAB_FUNC(nvmf_ip_options_match, "_gpl", "");
KSYMTAB_FUNC(nvmf_free_options, "_gpl", "");

SYMBOL_CRC(nvmf_get_address, 0xa5dd0bcc, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xc193bd52, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0x6601c8bb, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0x5186a875, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x22239e8b, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x7ad066eb, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0x2c1e451a, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0x10d87b45, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0x4fd2d935, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x67ea3e83, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x97b1cf80, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0x93990a25, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x96510032, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x452ee2f5, "try_module_get" },
	{ 0x9bc62345, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd109d941, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x7802aa1a, "_dev_info" },
	{ 0x2d1651c8, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xac5851bd, "key_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x38c11315, "down_write" },
	{ 0x6c7738f4, "_dev_err" },
	{ 0x36523dc6, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xc824ec46, "device_create" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x67a97a28, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x42ffdb55, "__nvme_submit_sync_cmd" },
	{ 0xf1e70274, "_dev_warn" },
	{ 0x3ff7d47, "misc_register" },
	{ 0x373ec7f8, "nvme_auth_wait" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x4466e11e, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6165b759, "seq_read" },
	{ 0x85df9b6c, "strsep" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0x36c4d8ee, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1311ae37, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xc038657b, "seq_puts" },
	{ 0x612bf1ca, "single_release" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xbe5f9b28, "single_open" },
	{ 0xcc00016, "up_read" },
	{ 0xd96b2bb5, "class_register" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc7ceecdd, "nvme_auth_negotiate" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "nvme-core");


MODULE_INFO(srcversion, "708EB3AC6E8727EFE3ADF50");
MODULE_INFO(rhelversion, "9.5");
