#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0x0c0ab65a, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0xb36589ec, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0xa35f5fc1, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0xb88e3a43, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0x5d9ca32e, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0x8765dc0a, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0xc92b6287, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0xa0945758, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x778b1d63, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x967a68f9, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0x81bd0d97, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42d5ff60, "filp_open" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x8949bb1d, "bdev_file_open_by_path" },
	{ 0x452ee2f5, "try_module_get" },
	{ 0xa8d218c9, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x571d289f, "config_group_init" },
	{ 0x6decb1b3, "radix_tree_insert" },
	{ 0x8aedf0ef, "bio_add_zone_append_page" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x7ebb7ea1, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x3dcdd079, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x52026393, "radix_tree_lookup" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xfd39d637, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x178cef17, "t10_pi_type1_crc" },
	{ 0xc66cf631, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2bc0d6b2, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x77e77eaf, "bpf_trace_run2" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xfc28c9d6, "event_triggers_call" },
	{ 0x859d09d, "pci_p2pmem_free_sgl" },
	{ 0xb4b309c1, "kmem_cache_create" },
	{ 0x947e415b, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4de38fee, "mempool_free" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe446ae4b, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xfa01e14e, "trace_event_buffer_commit" },
	{ 0x9b8e3bf5, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8a8ba080, "mempool_create" },
	{ 0xff1035f0, "crypto_alloc_kpp" },
	{ 0x8ee99337, "vfs_fallocate" },
	{ 0x28d5472d, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xd109d941, "put_device" },
	{ 0xadd27cfd, "trace_event_ignore_this_pid" },
	{ 0x24ede0c1, "bdev_nr_zones" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x1514aae6, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5dfd1e70, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0x79364bb4, "submit_bio" },
	{ 0x2d1651c8, "module_put" },
	{ 0x90fcfac7, "pci_p2pdma_distance_many" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7cfe1840, "nvme_auth_gen_pubkey" },
	{ 0x5a444e1c, "t10_pi_type3_crc" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xac5851bd, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xbb1b2b36, "bio_put" },
	{ 0xecc92405, "radix_tree_delete" },
	{ 0x605b5aa0, "bio_endio" },
	{ 0xbc8d7c81, "sg_miter_next" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x46d98881, "perf_trace_run_bpf_submit" },
	{ 0x1dc34a87, "fput" },
	{ 0x38c11315, "down_write" },
	{ 0x36523dc6, "up_write" },
	{ 0x530d7c9a, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x57d0e0b7, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x12eae29c, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x833d543f, "xa_load" },
	{ 0x118754f6, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcb085385, "mutex_lock" },
	{ 0xb9dea3cd, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0xabedfaec, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x8925112f, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xd7e4e637, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x6497fa86, "pci_p2pdma_enable_store" },
	{ 0xd5951235, "pci_p2pmem_alloc_sgl" },
	{ 0xc9c02b93, "bio_add_page" },
	{ 0x4819a052, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa69fa2ff, "bio_integrity_alloc" },
	{ 0xf52a91c3, "sg_miter_start" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x11089ac7, "_ctype" },
	{ 0xea7dda1d, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xc4ef6c29, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0xe44015cc, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x9e13f184, "pci_p2pdma_enable_show" },
	{ 0x4466e11e, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x52b3a0d7, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1d4dca83, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0x32000ea2, "trace_event_buffer_reserve" },
	{ 0x2914e045, "crypto_shash_final" },
	{ 0x9c9390b6, "vfs_fsync" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4f4ae627, "xa_destroy" },
	{ 0x5ecf35a1, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9408e9cb, "pci_dev_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6932d0e6, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x11f7ed4c, "hex_to_bin" },
	{ 0xaca27cdb, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x73f64a8a, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x63aa6a8e, "xa_find_after" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xe7e732ba, "pci_p2pmem_find_many" },
	{ 0x1ffb12d, "crypto_alloc_shash" },
	{ 0xe7f472d0, "nvme_auth_gen_privkey" },
	{ 0x4219a86b, "bio_alloc_bioset" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xcc00016, "up_read" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0x42819a8d, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xe3c31b9d, "submit_bio_wait" },
	{ 0x59bb4f9e, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x470c4872, "__blkdev_issue_discard" },
	{ 0xb9c95bdd, "fs_bio_set" },
	{ 0x7a973bdd, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xff9ffea8, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth,t10-pi");


MODULE_INFO(srcversion, "DF078E6A4F3C9AB1155E6F2");
MODULE_INFO(rhelversion, "9.5");
