#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_slave_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0xa49f633e, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0xc0c48c4b, "_gpl");
SYMBOL_CRC(sas_free_task, 0x064b621e, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xf3536118, "");
SYMBOL_CRC(sas_resume_ha, 0x043ac238, "");
SYMBOL_CRC(sas_suspend_ha, 0xab542baf, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x25cf58d1, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xf49a7999, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x188ff0fd, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xe57fd1bd, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x4bacde8f, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0xba50b707, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xe88c38e4, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x3bd845e3, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x24c6d04d, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x4b4816d8, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x1fbbc7be, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x32bb2b26, "_gpl");
SYMBOL_CRC(sas_slave_configure, 0x269f62ff, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x919a3325, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x345e4c34, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x56904984, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xb8166178, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0xcff7338f, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x306b8213, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0xd7601282, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x6f163240, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x7a62e4ab, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x3b56303e, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x32fa958a, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3a780c2, "ata_qc_complete" },
	{ 0xc6080bf2, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa8edc122, "sas_rphy_remove" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xdda79363, "ata_sas_port_destroy" },
	{ 0x57f07937, "bsg_job_done" },
	{ 0x69177bb2, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xef5926bb, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xd63bdb93, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xea4fc978, "finish_wait" },
	{ 0xf980715f, "scsi_schedule_eh" },
	{ 0x96d0b299, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xfe8547d5, "ata_host_init" },
	{ 0x681e655e, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x7bf31104, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x3d9bd581, "sas_port_get_phy" },
	{ 0xc559624d, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x7945f6a2, "prepare_to_wait_event" },
	{ 0x1a648f20, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0xb4b309c1, "kmem_cache_create" },
	{ 0x947e415b, "get_device" },
	{ 0x24cf25f6, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xc05b425d, "sas_phy_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd109d941, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xe5ef8de0, "ata_sas_tport_delete" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0xc22fa141, "kmem_cache_alloc" },
	{ 0x7802aa1a, "_dev_info" },
	{ 0xe31bbd01, "sas_phy_free" },
	{ 0x138e8af, "scsi_eh_finish_cmd" },
	{ 0x86806493, "ata_noop_qc_prep" },
	{ 0xbe31796b, "ata_sas_port_alloc" },
	{ 0x320321d7, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0x11d542d7, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x646591f6, "sas_port_mark_backlink" },
	{ 0xbaee579b, "kmem_cache_free" },
	{ 0x8cdce2c3, "ata_std_qc_defer" },
	{ 0x5cb1d68f, "ata_sas_port_start" },
	{ 0x58f569b9, "ata_scsi_port_error_handler" },
	{ 0xf2a8416b, "ata_change_queue_depth" },
	{ 0x19271aab, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7d2501e7, "sas_end_device_alloc" },
	{ 0xef045d72, "mutex_lock_interruptible" },
	{ 0x4032dd19, "sas_read_port_mode_page" },
	{ 0x5524b2ea, "sas_expander_alloc" },
	{ 0x4e241af2, "ata_sas_port_stop" },
	{ 0xf1e70274, "_dev_warn" },
	{ 0x7dd45326, "sas_rphy_delete" },
	{ 0xc643af44, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbf1781d2, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xffffb74e, "__init_waitqueue_head" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0xd07d3edd, "scsi_host_busy" },
	{ 0xd31b394b, "ata_sas_async_probe" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0xa4d54e92, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa8e17acf, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa6975b80, "ata_sas_port_suspend" },
	{ 0xc9b90a2f, "sas_rphy_add" },
	{ 0xdcad565d, "sas_port_delete_phy" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd72c47f7, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0737bca, "sas_port_add_phy" },
	{ 0x83d03f64, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xde26f01e, "ata_sas_slave_configure" },
	{ 0x6a761936, "scsi_unblock_requests" },
	{ 0x755cf461, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x872fa9cd, "ata_host_put" },
	{ 0xb8e7681a, "sas_port_free" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x8fcb805, "ata_std_sched_eh" },
	{ 0x4ffb5c58, "scsi_block_requests" },
	{ 0x78cc4e41, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0x1848af1d, "sas_remove_children" },
	{ 0xe9bd7f5, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5c31edd4, "ata_port_wait_eh" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0xff9ffea8, "kmem_cache_destroy" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "libata,scsi_transport_sas");


MODULE_INFO(srcversion, "C24B044A72CA30EF7DF1581");
MODULE_INFO(rhelversion, "9.5");
