#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe17d3d0f, "usb_kill_urb" },
	{ 0x876e1f3b, "usb_deregister" },
	{ 0x2712e4bb, "blk_queue_update_dma_alignment" },
	{ 0xf31c987e, "blk_queue_max_hw_sectors" },
	{ 0x438f9e1d, "usb_alloc_urb" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xfc5e316f, "usb_stor_adjust_quirks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf1e70274, "_dev_warn" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x761a4183, "usb_anchor_urb" },
	{ 0x5a48154c, "usb_submit_urb" },
	{ 0xa8737152, "usb_unanchor_urb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4cb6e6d9, "scsi_done" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe8248306, "usb_kill_anchored_urbs" },
	{ 0x6d32c67a, "scsi_remove_host" },
	{ 0x2b2f1e57, "scsi_host_put" },
	{ 0x20b2bbb4, "usb_lock_device_for_reset" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xc1a60f56, "scsi_host_alloc" },
	{ 0xffffb74e, "__init_waitqueue_head" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xf18e6521, "scsi_add_host_with_dma" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x46fea88a, "usb_unlink_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xbd2ed7a, "usb_register_driver" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xecbdd863, "usb_free_streams" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xf7370f56, "system_state" },
	{ 0x76d93ee5, "usb_set_interface" },
	{ 0x6e304e40, "usb_reset_device" },
	{ 0xff52eac5, "usb_alloc_streams" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x869d3335, "scsi_report_bus_reset" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x6a761936, "scsi_unblock_requests" },
	{ 0xd9cc397a, "dev_printk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9cd51db4, "usb_wait_anchor_empty_timeout" },
	{ 0x4ffb5c58, "scsi_block_requests" },
	{ 0x8921660e, "scmd_printk" },
	{ 0x7eadc6a7, "scsi_print_command" },
	{ 0x1ea477d0, "usb_free_urb" },
	{ 0x68fb133d, "scsi_scan_host" },
	{ 0x98b1b94c, "__dynamic_dev_dbg" },
	{ 0x6c7738f4, "_dev_err" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc7274de0, "sdev_prefix_printk" },
	{ 0xc643af44, "scsi_is_host_device" },
	{ 0xe9bd7f5, "scsi_change_queue_depth" },
	{ 0xc2b567b4, "usb_get_urb" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "usb-storage");

MODULE_ALIAS("usb:v054Cp087Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp105Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v059Fp1061d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v090Cp2000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1932d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0583d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v154BpF00Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp3899d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "652851C0078A541BE648EA2");
MODULE_INFO(rhelversion, "9.5");
