#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0xadb419b8, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x4f566a51, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x434e1b9c, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x3a4b2711, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0xaf50df33, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x0682efab, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0xd1de0f05, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x6f801870, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0xcb4115a1, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x02bf1e02, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x0bea9cf2, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0xdf210a03, "");
SYMBOL_CRC(vfio_unpin_pages, 0xec366882, "");
SYMBOL_CRC(vfio_dma_rw, 0x556214c9, "");
SYMBOL_CRC(vfio_file_iommu_group, 0xad173ac2, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x0fce6c5b, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0xe11154ae, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0xb16c1872, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x75bb75bc, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0xe957a005, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0xc471d1da, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x45101c7a, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0xbc371d97, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0x2b08c6b2, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0x6838f2f7, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0x86898f60, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0x006a7ed3, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0x99e258a5, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0x4bf94e69, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0xa4c498c7, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0x40f9951f, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0x49db2cb6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xd3f75d81, "iommufd_vfio_compat_ioas_get_id" },
	{ 0x25661d3c, "iommufd_access_unpin_pages" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0x452ee2f5, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe14f6cf7, "anon_inode_getfile" },
	{ 0x1800c9ba, "__init_rwsem" },
	{ 0x9bc62345, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xdbd721eb, "iommufd_access_detach" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7a04051e, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x7770d861, "cdev_device_del" },
	{ 0xba6831e1, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0x595e6495, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0x148cc2d2, "__xa_erase" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0xee5bfc92, "device_initialize" },
	{ 0x39f6eeba, "iommufd_device_attach" },
	{ 0x7d501ffb, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x526d0d27, "iommufd_access_pin_pages" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0xf60d5c3e, "add_wait_queue" },
	{ 0x7fe63554, "iommufd_ctx_from_fd" },
	{ 0x8307ca87, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x98b1b94c, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x5f61205c, "iommufd_vfio_compat_set_no_iommu" },
	{ 0x6f1f1c84, "iommufd_vfio_compat_ioas_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xce47785d, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd109d941, "put_device" },
	{ 0x957eaee0, "iommufd_ctx_from_file" },
	{ 0x7802aa1a, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2d1651c8, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x92e680a1, "compat_ptr_ioctl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x1dc34a87, "fput" },
	{ 0x38c11315, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x36523dc6, "up_write" },
	{ 0xe60e0872, "device_add" },
	{ 0x833d543f, "xa_load" },
	{ 0x8714ecfd, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xb252a40b, "class_create" },
	{ 0x28600619, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0xaf780e2d, "ida_free" },
	{ 0xd172876a, "iommufd_access_rw" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7ac7cc96, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0xf1e70274, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0xa607097e, "iommufd_access_destroy" },
	{ 0x3ff7d47, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x4466e11e, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x88175420, "__xa_cmpxchg" },
	{ 0x824a167b, "iommufd_device_to_id" },
	{ 0xb24ba2a, "iommufd_device_to_ictx" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa0dff094, "__pm_runtime_resume" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0x644716a, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x4f4ae627, "xa_destroy" },
	{ 0xac614769, "iommufd_ctx_put" },
	{ 0x87d65f30, "iommufd_access_create" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x4819abf6, "iommufd_device_detach" },
	{ 0xe5e2656a, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x926dd099, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x24ae1f8c, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0xe7b6ff56, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xcc00016, "up_read" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xa1065340, "__pm_runtime_idle" },
	{ 0x7a0e7e6f, "cdev_init" },
	{ 0x1f52f736, "iommufd_device_replace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37e22c8f, "eventfd_ctx_fileget" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0x9ad18b28, "iommu_group_remove_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "4BD27DE9BCFB8AA71B190BC");
MODULE_INFO(rhelversion, "9.5");
