#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0x700a2133, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0xdb84582a, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x4229cfb3, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0x0c07cd62, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0x63c063ef, "_gpl");
SYMBOL_CRC(vhost_has_work, 0x2764e0b1, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0xb297c473, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0xd9e7043f, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x961e5675, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x00f6082c, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x64fcb82f, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0xc58667dc, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0xa08662b5, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0x07fdffb3, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0xe4d7b3bb, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0x4888dcd8, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0x99a0732b, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0xfecdd30d, "");
SYMBOL_CRC(vhost_chr_poll, 0x1ad7a5d4, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x43dc80dc, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0x0a30496f, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0x958c1a7c, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0x7a804642, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0x7b4bf8c6, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0x36cf8ee3, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0xd6a1668d, "_gpl");
SYMBOL_CRC(vhost_log_write, 0x3854de12, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0x29e0e0d1, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x72de7f7e, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0xfa512d30, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x52a4e842, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0xba38b766, "_gpl");
SYMBOL_CRC(vhost_signal, 0xf0d4b27f, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x5a69ad14, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0xcab32e46, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x8a221abf, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x23a0c16b, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x08da3b78, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0xc021875c, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x9d208ada, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x1e146f41, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0xa697cc9a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf60d5c3e, "add_wait_queue" },
	{ 0x868ce2eb, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0xbd13b66c, "cgroup_attach_task_all" },
	{ 0xb4fc7a75, "mmput" },
	{ 0xf602e2ff, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x1a648f20, "__wake_up" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x28e22046, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x49608959, "migrate_disable" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc67587a0, "unpin_user_pages_dirty_lock" },
	{ 0x2f07f732, "pin_user_pages_fast" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5c30f3b1, "kthread_use_mm" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1000e51, "schedule" },
	{ 0xafeecf4c, "kthread_unuse_mm" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x1dc34a87, "fput" },
	{ 0x277aaba3, "kthread_stop" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x83e6eba4, "iov_iter_init" },
	{ 0xa8325a34, "_copy_from_iter" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1c0f6111, "iov_iter_revert" },
	{ 0xecdcabd2, "copy_user_generic_unrolled" },
	{ 0x1f199d24, "copy_user_generic_string" },
	{ 0x21271fd0, "copy_user_enhanced_fast_string" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc231fefe, "_copy_to_iter" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0xffffb74e, "__init_waitqueue_head" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x664ec0b7, "prepare_to_wait" },
	{ 0xea4fc978, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4864b293, "get_task_mm" },
	{ 0xd5d88eec, "kthread_create_on_node" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x82d9fa2e, "iov_iter_advance" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x65df35ca, "__put_user_nocheck_2" },
	{ 0xd2bc5c46, "__get_user_nocheck_2" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x58bd057b, "eventfd_fget" },
	{ 0xfd312e54, "param_ops_int" },
	{ 0x9034a386, "param_ops_ushort" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.5");
