#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xfcd97cb3, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x7804d6ec, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xed225ee3, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x9af1f0e9, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x586020a8, "");
SYMBOL_CRC(fuse_abort_conn, 0xb474c609, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0xd0a8673a, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xe18bb821, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x2a168407, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0xe8676b88, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0xa74bc19b, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x02a27188, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x9eb87441, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xdb7355c7, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x30cceec5, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x9d2247b2, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0xc77dcf2e, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x7e8a8151, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x8ba0964e, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0x75f6ba66, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x2b97f6b6, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x4a056ce6, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x2ddfe163, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x66d6f119, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x9642bd72, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xdfd81372, "");
SYMBOL_CRC(fuse_do_ioctl, 0xe58d7715, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x994f1ca7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30c321f1, "super_setup_bdi_name" },
	{ 0x59c0a39b, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9a0aeab, "truncate_inode_pages" },
	{ 0xd86d5a07, "generic_copy_file_range" },
	{ 0x3f2faf9d, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0x834a6b9f, "pipe_lock" },
	{ 0x4c9c90a9, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xb5560534, "vfs_fsync_range" },
	{ 0xd3d96ee8, "setattr_prepare" },
	{ 0x213e28a8, "clear_nlink" },
	{ 0xebd61872, "file_check_and_advance_wb_err" },
	{ 0x353f8cbe, "d_alloc_parallel" },
	{ 0x1800c9ba, "__init_rwsem" },
	{ 0x994d53ed, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x9bc62345, "misc_deregister" },
	{ 0x559dddd3, "clear_inode" },
	{ 0x2bc9adcb, "inode_to_bdi" },
	{ 0xfb0f6d46, "find_pid_ns" },
	{ 0x84fd2b0e, "grab_cache_page_write_begin" },
	{ 0xb9f1f9b2, "simple_dir_inode_operations" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x36cba770, "pipe_unlock" },
	{ 0x698bf510, "fs_param_is_string" },
	{ 0x7b03e8ca, "folio_unlock" },
	{ 0x278e4e37, "generic_file_splice_read" },
	{ 0xdca626a, "new_inode" },
	{ 0xa6257a2f, "complete" },
	{ 0x4efa8a45, "filemap_map_pages" },
	{ 0x778bca9a, "dump_page" },
	{ 0xf8df5b09, "forget_all_cached_acls" },
	{ 0x9784190a, "init_special_inode" },
	{ 0x339e13d, "unregister_filesystem" },
	{ 0xff25d141, "task_active_pid_ns" },
	{ 0xde31b379, "iov_iter_single_seg_count" },
	{ 0xdfbb46c, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x4e0653b1, "posix_acl_default_xattr_handler" },
	{ 0x61b99ff2, "filemap_fdatawrite_range" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xea4fc978, "finish_wait" },
	{ 0xfa5fd0f8, "d_alloc_name" },
	{ 0x5905c61, "replace_page_cache_folio" },
	{ 0x6afd8b1a, "inode_query_iversion" },
	{ 0x82d9fa2e, "iov_iter_advance" },
	{ 0x23cb0c79, "kill_fasync" },
	{ 0xe83d8a, "d_make_root" },
	{ 0x5e5cb2d3, "sb_set_blocksize" },
	{ 0x79203dde, "fget" },
	{ 0x223f9b62, "simple_fill_super" },
	{ 0xe58d81e0, "xas_find" },
	{ 0xf906f42c, "invalidate_mapping_pages" },
	{ 0x430d6821, "sync_filesystem" },
	{ 0x7d4ed507, "noop_dirty_folio" },
	{ 0xbe0bc0a3, "sget_fc" },
	{ 0xe3b7575f, "param_set_uint" },
	{ 0xcfa3ef37, "d_splice_alias" },
	{ 0x8e97ae65, "iov_iter_get_pages2" },
	{ 0x45f5736d, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdffe2bf4, "page_get_link" },
	{ 0x32fbb8b0, "generic_permission" },
	{ 0x4f057f7b, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ec4952f, "invalidate_inode_pages2_range" },
	{ 0xfb8cc545, "posix_lock_file" },
	{ 0xbb9d8097, "finish_open" },
	{ 0xe48eb6ec, "dax_iomap_rw" },
	{ 0x1b35fe15, "iput" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xdbf5112d, "logfc" },
	{ 0x5280f6df, "__put_devmap_managed_page_refs" },
	{ 0xbad8c726, "iter_file_splice_write" },
	{ 0x7945f6a2, "prepare_to_wait_event" },
	{ 0xe0ab56f2, "init_pid_ns" },
	{ 0xfb1269ef, "dax_iomap_fault" },
	{ 0x83e6eba4, "iov_iter_init" },
	{ 0x66b1c75c, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x23c310cb, "sysfs_create_mount_point" },
	{ 0x5d4f9a88, "generic_file_write_iter" },
	{ 0x1a648f20, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xebe94e76, "register_filesystem" },
	{ 0xb4b309c1, "kmem_cache_create" },
	{ 0x9f8fcfed, "folio_add_lru" },
	{ 0x1ee84314, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x6fd7b80f, "sync_inode_metadata" },
	{ 0x6ce2c9b1, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xba077e7b, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xaee5ff35, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe6f96f0f, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0xd9c43800, "get_tree_nodev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x36c5669d, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xa5560e1e, "fs_param_is_u32" },
	{ 0x87072d4, "inode_newsize_ok" },
	{ 0xe7e3feab, "d_drop" },
	{ 0xdb1b9793, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xc766ec0d, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x9152ecd, "bdi_put" },
	{ 0xc0dee483, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x829bd4dd, "param_get_uint" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xa499dfa7, "make_kuid" },
	{ 0xc5dc3de8, "truncate_inode_pages_final" },
	{ 0x130a9f5c, "fs_kobj" },
	{ 0x45f21442, "__filemap_set_wb_err" },
	{ 0x3aef6a7a, "simple_dir_operations" },
	{ 0x96a45cb5, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0x8e9b03d8, "__free_pages" },
	{ 0xc22fa141, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x1b15109f, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x58203641, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6cab5401, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbfa32835, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0xedcae884, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfa64fb1, "inode_init_once" },
	{ 0x380746b3, "file_write_and_wait_range" },
	{ 0x92e680a1, "compat_ptr_ioctl" },
	{ 0x11145270, "nosteal_pipe_buf_ops" },
	{ 0x567c6aa9, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x4c35398c, "inode_nohighmem" },
	{ 0xcee71a0f, "release_pages" },
	{ 0x7d9c9c2b, "generic_file_direct_write" },
	{ 0x49608959, "migrate_disable" },
	{ 0x1dc34a87, "fput" },
	{ 0x38c11315, "down_write" },
	{ 0x36523dc6, "up_write" },
	{ 0xd5f38e27, "generic_file_read_iter" },
	{ 0xc0912216, "inode_maybe_inc_iversion" },
	{ 0xe8070bad, "unlock_page" },
	{ 0x2a449123, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0x4dbf7ff9, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9c26a611, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x3127a59a, "dec_node_page_state" },
	{ 0x4de3bb0d, "write_cache_pages" },
	{ 0xe339593, "file_update_time" },
	{ 0x758f7e38, "set_nlink" },
	{ 0xcb085385, "mutex_lock" },
	{ 0xbaee579b, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x385f876b, "from_kgid" },
	{ 0x6ab12cc7, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf2779ff8, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x1321f6e8, "write_inode_now" },
	{ 0x87a507a3, "dax_writeback_mapping_range" },
	{ 0x6aeceacd, "d_obtain_alias" },
	{ 0xa8d3eb63, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x48a633a3, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x648256da, "finish_no_open" },
	{ 0xa819bc0f, "__folio_start_writeback" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x308c1050, "kill_litter_super" },
	{ 0x9cf9b262, "folio_end_writeback" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x335b45d9, "from_kuid" },
	{ 0x16f5aa22, "current_in_userns" },
	{ 0xf1a23e15, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0xc57bfed5, "sysfs_remove_mount_point" },
	{ 0x3ff7d47, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xffffb74e, "__init_waitqueue_head" },
	{ 0x6a01fc34, "make_kgid" },
	{ 0xa1d768f4, "should_remove_suid" },
	{ 0xece784c2, "rb_first" },
	{ 0x27537f25, "d_delete" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x674647e1, "from_kgid_munged" },
	{ 0xf44d07e6, "end_page_writeback" },
	{ 0x80c4953c, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf5192b, "kobject_create_and_add" },
	{ 0x4466e11e, "down_read" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x274ee3c4, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb7baa363, "nonseekable_open" },
	{ 0x2e82884d, "dax_finish_sync_fault" },
	{ 0x5a57e9be, "set_page_dirty" },
	{ 0xa2d366b7, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x70a86cac, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbeb89b8a, "noop_direct_IO" },
	{ 0xc3c17baa, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x61951bbe, "generic_read_dir" },
	{ 0x94eb88ed, "d_add" },
	{ 0x23c4d059, "set_page_writeback" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0xcc32c118, "d_find_alias" },
	{ 0xced3c068, "invalidate_inode_pages2" },
	{ 0xbbc7ef42, "alloc_pages" },
	{ 0x919917, "inc_nlink" },
	{ 0xd485dd51, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x30c2fbb5, "get_tree_bdev" },
	{ 0xe19cded0, "set_anon_super_fc" },
	{ 0x1311ae37, "seq_printf" },
	{ 0xdb6c46d8, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xe1c8df99, "generic_delete_inode" },
	{ 0x357d3618, "deactivate_locked_super" },
	{ 0x313790e7, "touch_atime" },
	{ 0x8a4d3405, "__percpu_down_read" },
	{ 0x572d5ef2, "__d_lookup_unhash_wake" },
	{ 0xb069f575, "set_page_dirty_lock" },
	{ 0x5413b67b, "pid_nr_ns" },
	{ 0x328540fc, "posix_acl_access_xattr_handler" },
	{ 0xa684a9b9, "generic_file_open" },
	{ 0x4ac84867, "truncate_inode_pages_range" },
	{ 0x9f8158c7, "__put_user_ns" },
	{ 0x6d177d66, "__folio_lock" },
	{ 0xb08de491, "filemap_dirty_folio" },
	{ 0x8fa390eb, "pagecache_get_page" },
	{ 0xc038657b, "seq_puts" },
	{ 0x156334b5, "stream_open" },
	{ 0x7fa56113, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xf9e19b1d, "__wake_up_sync" },
	{ 0x425e15d5, "add_to_pipe" },
	{ 0xd30134bb, "__fs_parse" },
	{ 0xa4dfb2dc, "dax_layout_busy_page_range" },
	{ 0xad81b9a8, "posix_acl_to_xattr" },
	{ 0x7ff2fe5e, "dget_parent" },
	{ 0xeb9e50a6, "kill_anon_super" },
	{ 0x10241cc5, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0xe2c2f170, "iget5_locked" },
	{ 0xbd7ff57f, "security_dentry_init_security" },
	{ 0x78bea9f2, "filemap_write_and_wait_range" },
	{ 0x46b7fa9c, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x73725dd1, "generic_write_checks" },
	{ 0x1c0f6111, "iov_iter_revert" },
	{ 0xab65f465, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe1e38f1b, "mntget" },
	{ 0x8bad5f64, "kmem_cache_alloc_lru" },
	{ 0xf668ef07, "filemap_fault" },
	{ 0xe28aa804, "d_invalidate" },
	{ 0xb49403e9, "__mark_inode_dirty" },
	{ 0x77963b2f, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xcc00016, "up_read" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0x19fff0d9, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x299ea569, "drop_nlink" },
	{ 0x6ee2057e, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x81000a85, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0x2b7c1934, "bdi_set_max_ratio" },
	{ 0xff9ffea8, "kmem_cache_destroy" },
	{ 0x3c521aeb, "kobject_put" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2DB8B11DCD404717CC59E3D");
MODULE_INFO(rhelversion, "9.5");
