#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x31d0a420, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x444e32c6, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xfe57c4b9, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x90ddaea1, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xf0474e3d, "_gpl");
SYMBOL_CRC(br_forward, 0xc82345ad, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xd8e3d870, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xb14f8277, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x5a88d79c, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x9d28533c, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xf0d637f9, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xa4f33e77, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x193c087c, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x50c19dea, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x6ce694ed, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x5f64e974, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x40c598c6, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x8e509d38, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x5b3eaf8e, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xa0105d01, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xc7fa398f, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x722a8885, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x1a4ba914, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xb92fadee, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x7e667298, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x544e39ac, "netdev_lower_get_next" },
	{ 0xe2c9d2f1, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xefaef342, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x3bc51873, "skb_copy_bits" },
	{ 0xc3b70f7a, "__nlmsg_put" },
	{ 0xe6d81431, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa4c6a36f, "ipv6_mc_check_mld" },
	{ 0xb1f221e4, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a37b459, "call_switchdev_notifiers" },
	{ 0x6cbc0851, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd6ffde4e, "netdev_update_features" },
	{ 0x8b630f59, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x9409ba29, "dev_uc_del" },
	{ 0xda8c0fd5, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x18ebbe5b, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x42558dfd, "switchdev_port_obj_act_is_deferred" },
	{ 0x2d8e17ff, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x33f06cae, "dev_set_promiscuity" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xfc58aa57, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1d29c147, "unregister_netdevice_queue" },
	{ 0xb4b309c1, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2b50eea0, "netdev_state_change" },
	{ 0x7d3b786e, "__dev_get_by_name" },
	{ 0xbd02307c, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf51753ed, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0xe8528cb4, "pskb_expand_head" },
	{ 0x8ddd83d4, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x8243fce4, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xa6a8416, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2068999c, "alloc_netdev_mqs" },
	{ 0x9215901d, "passthru_features_check" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x25edddfc, "netdev_rx_handler_unregister" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x97c3b3d9, "__SCK__tp_func_br_mdb_full" },
	{ 0x1b08b62, "rtnl_af_register" },
	{ 0x8c2d54de, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2281028, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc22fa141, "kmem_cache_alloc" },
	{ 0x7533c331, "rtnl_set_sk_err" },
	{ 0x2c1c28eb, "skb_vlan_pop" },
	{ 0x6926b3d2, "rtnl_unicast" },
	{ 0xa7308137, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x36c775b, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x3caf8e80, "nla_reserve_64bit" },
	{ 0x30691abd, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x35638d3d, "__dev_get_by_index" },
	{ 0xe78775ad, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x9c7cffc, "dev_get_port_parent_id" },
	{ 0xdf9e8c7d, "init_net" },
	{ 0x8993690c, "ipv6_stub" },
	{ 0xc4182fb3, "inet_confirm_addr" },
	{ 0x8a0fa9c, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x98277b4d, "sysfs_remove_link" },
	{ 0x75f22233, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x74ea4b16, "__SCK__tp_func_br_fdb_add" },
	{ 0xab0f3c2b, "rtnl_af_unregister" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x9d8c50e5, "arp_send" },
	{ 0xff1544ea, "dev_get_by_index_rcu" },
	{ 0x2e9ea147, "kfree_skb_reason" },
	{ 0x9ba83743, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xb15ec0a3, "skb_push" },
	{ 0xbaee579b, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x2bb5784c, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x5eeab1e0, "netdev_upper_dev_unlink" },
	{ 0x1adcbff0, "netif_receive_skb" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xffb85289, "llc_mac_hdr_init" },
	{ 0x712d0abf, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xdaa45160, "__SCK__tp_func_fdb_delete" },
	{ 0xd69d3821, "kobject_init_and_add" },
	{ 0x23154ccc, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2f6ae8b3, "ns_capable" },
	{ 0xe4b3b8e7, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x43838b2d, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xced9bc04, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x3823bf54, "arp_create" },
	{ 0xa313f997, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8e95e694, "stp_proto_register" },
	{ 0xdec68028, "rtnl_register_module" },
	{ 0x9df5d950, "__tracepoint_br_fdb_update" },
	{ 0x14053bf, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x3bdc48c4, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xec38b160, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb9d4bea9, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbd956c0e, "__pskb_pull_tail" },
	{ 0x6431add4, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x5bc2cc67, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x63f5a4e5, "ip_mc_check_igmp" },
	{ 0x755671f9, "__netdev_alloc_skb" },
	{ 0x3065c5e8, "rhashtable_destroy" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x5533f21f, "switchdev_port_obj_del" },
	{ 0xb27bad07, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf5192b, "kobject_create_and_add" },
	{ 0x5ea2c797, "skb_trim" },
	{ 0x5822f02b, "nf_hook_slow" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xcdff4050, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x46546b01, "__ip_mc_inc_group" },
	{ 0xc3f24470, "netdev_walk_all_upper_dev_rcu" },
	{ 0x67bf7404, "sysfs_remove_group" },
	{ 0xfeca8f36, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xcee5718d, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x35e62d35, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb9cc602b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1e74b29d, "vlan_vid_add" },
	{ 0x404549c9, "neigh_destroy" },
	{ 0x36284dbc, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x652b030b, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0xecda23a2, "__SCK__tp_func_br_fdb_update" },
	{ 0x74d3e160, "call_netdevice_notifiers" },
	{ 0x38773b51, "is_skb_forwardable" },
	{ 0x3975593d, "vlan_vid_del" },
	{ 0x2af74ea4, "dev_set_allmulti" },
	{ 0xf1d1b4dc, "net_ns_get_ownership" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4bdecbb2, "netdev_master_upper_dev_get" },
	{ 0x1495265, "ipv6_dev_mc_inc" },
	{ 0x85034d13, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc93d4500, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9c109699, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x739d884e, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x2edd90cc, "skb_clone" },
	{ 0xac7c8d14, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0xb7e25771, "metadata_dst_alloc" },
	{ 0x31ec6aba, "dst_release" },
	{ 0x9aadca41, "netif_carrier_on" },
	{ 0x3fc77865, "kobject_uevent" },
	{ 0xfab18dd3, "arp_tbl" },
	{ 0xeb8c7089, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x50ce6fa0, "netdev_rx_handler_register" },
	{ 0x545ed831, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa5dbf2ed, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe956027, "dev_disable_lro" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x7771497b, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x947fb0bf, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xb3b553f5, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x9a471300, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0x4c06fa76, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x91e9f80a, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x318aca7f, "skb_ext_add" },
	{ 0x9da98e7e, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xbcc09b2e, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0xb14a7243, "neigh_lookup" },
	{ 0xff9ffea8, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3c521aeb, "kobject_put" },
	{ 0xaf2a3cb5, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "E5D532BC65D9C59E01D94F5");
MODULE_INFO(rhelversion, "9.5");
