#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0xfcc2ca82, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0x02f4ecc5, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0xce164dff, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0xc8393d2f, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0x4559048c, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0xb22e9f00, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0x7ca3aee1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x419669aa, "nf_conntrack_expect_lock" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0xda3c3744, "nf_ct_remove_expect" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x29b0f128, "__nf_ct_refresh_acct" },
	{ 0xbd956c0e, "__pskb_pull_tail" },
	{ 0x3bc51873, "skb_copy_bits" },
	{ 0x2edac422, "nf_ct_expect_alloc" },
	{ 0x81ff437e, "nf_ct_expect_init" },
	{ 0x55347848, "nf_ct_expect_put" },
	{ 0x62d263b0, "nf_ct_expect_related_report" },
	{ 0x37dcc36d, "__nf_ct_expect_find" },
	{ 0xbeb6e288, "nf_ipv6_ops" },
	{ 0x31ec6aba, "dst_release" },
	{ 0x39c002e, "nf_ip_route" },
	{ 0xeeec6e7f, "nf_ct_unexpect_related" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0xfd312e54, "param_ops_int" },
	{ 0x7236974a, "param_ops_uint" },
	{ 0xc5edb8b, "param_array_ops" },
	{ 0x9034a386, "param_ops_ushort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3406bfb7, "nf_ct_helper_init" },
	{ 0x7bd65054, "nf_conntrack_helpers_register" },
	{ 0x92997ed8, "_printk" },
	{ 0x6c17ded3, "nf_conntrack_helpers_unregister" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf313b6a3, "nf_ct_helper_log" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "AD455FB6BE9E047D00AD0A3");
MODULE_INFO(rhelversion, "9.5");
