#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x96899246, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xa767e5ad, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x2d2906c2, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x3f928e88, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x070e93b7, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x329cfbcf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x315efd7d, "nf_ct_ext_add" },
	{ 0xd39abb25, "__skb_get_hash_symmetric" },
	{ 0xe914e41e, "strcpy" },
	{ 0x729d02ec, "nsh_pop" },
	{ 0x102298e4, "nf_conntrack_find_get" },
	{ 0x1f6a35e4, "nf_ct_set_timeout" },
	{ 0x96a3e16f, "dev_get_stats" },
	{ 0x9321151, "__nla_put" },
	{ 0x452ee2f5, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf1684438, "dev_fill_metadata_dst" },
	{ 0x86a5dfb, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x1f8496e5, "nf_ct_handle_fragments" },
	{ 0x2d8a56e4, "eth_mac_addr" },
	{ 0xb1f221e4, "skb_put" },
	{ 0x323f101d, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb1e6359b, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x8b630f59, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x4882b8ac, "nf_ct_nat" },
	{ 0x541526e7, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb5b084a4, "skb_eth_pop" },
	{ 0x7ebb7ea1, "trace_raw_output_prep" },
	{ 0x373566f6, "skb_gso_validate_mac_len" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x2259014b, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x5cccaaec, "nf_ct_helper" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xb6d31108, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xfd39d637, "trace_event_printf" },
	{ 0xf3727f22, "rtnl_delete_link" },
	{ 0xda8c0fd5, "rtnl_link_register" },
	{ 0x9cad122d, "nf_connlabels_put" },
	{ 0xd0e2fe73, "genlmsg_put" },
	{ 0xbf047058, "___pskb_trim" },
	{ 0xc66cf631, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x680f7706, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x33f06cae, "dev_set_promiscuity" },
	{ 0x9edd3d36, "nf_ct_destroy_timeout" },
	{ 0xa8b73a00, "nf_ct_add_helper" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x5c073937, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x771a1db6, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdc1b6936, "nf_ct_skb_network_trim" },
	{ 0xfc28c9d6, "event_triggers_call" },
	{ 0x1d29c147, "unregister_netdevice_queue" },
	{ 0xb4b309c1, "kmem_cache_create" },
	{ 0xf30f36e0, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0xbd02307c, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x70059915, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8528cb4, "pskb_expand_head" },
	{ 0x9979d514, "skb_csum_hwoffload_help" },
	{ 0xfa01e14e, "trace_event_buffer_commit" },
	{ 0xafc25c4a, "nf_connlabels_replace" },
	{ 0x26ccc546, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2068999c, "alloc_netdev_mqs" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb5699361, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x25edddfc, "netdev_rx_handler_unregister" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xadd27cfd, "trace_event_ignore_this_pid" },
	{ 0x4cc9a4b9, "skb_eth_push" },
	{ 0x6d2f6f5e, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2281028, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xc22fa141, "kmem_cache_alloc" },
	{ 0x2568f578, "skb_mpls_pop" },
	{ 0x2c1c28eb, "skb_vlan_pop" },
	{ 0xf341a03d, "dst_init" },
	{ 0x2d1651c8, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe78775ad, "rtnl_link_unregister" },
	{ 0x46d98881, "perf_trace_run_bpf_submit" },
	{ 0x44b88ee2, "__skb_get_hash" },
	{ 0xdf9e8c7d, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x8993690c, "ipv6_stub" },
	{ 0x68f62899, "skb_mpls_update_lse" },
	{ 0x8a0fa9c, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xca4aae28, "netlink_unicast" },
	{ 0x9c3da7e9, "bpf_trace_run5" },
	{ 0xff1544ea, "dev_get_by_index_rcu" },
	{ 0x2e9ea147, "kfree_skb_reason" },
	{ 0xcb085385, "mutex_lock" },
	{ 0xb15ec0a3, "skb_push" },
	{ 0xbaee579b, "kmem_cache_free" },
	{ 0x5eeab1e0, "netdev_upper_dev_unlink" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x8925112f, "trace_event_reg" },
	{ 0x4029c891, "skb_ensure_writable" },
	{ 0x712d0abf, "free_netdev" },
	{ 0x23154ccc, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xdb17d9f9, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xced9bc04, "ethtool_op_get_link" },
	{ 0x15a5bcb1, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xe4855d3e, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbd956c0e, "__pskb_pull_tail" },
	{ 0x1a2bad4f, "nf_ct_delete" },
	{ 0xbcd1f53a, "nf_conncount_init" },
	{ 0xcf6c9ce4, "skb_vlan_push" },
	{ 0x6431add4, "dev_get_tstats64" },
	{ 0x5bc2cc67, "netif_rx" },
	{ 0x755671f9, "__netdev_alloc_skb" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0xb27bad07, "netdev_master_upper_dev_link" },
	{ 0x35efe9e8, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4466e11e, "down_read" },
	{ 0x2d0af809, "inet_proto_csum_replace16" },
	{ 0x5ea2c797, "skb_trim" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x545bb4af, "skb_scrub_packet" },
	{ 0xb08be69e, "nf_ct_deliver_cached_events" },
	{ 0x2e2dd5d1, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x59f43caf, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xb9cc602b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x32000ea2, "trace_event_buffer_reserve" },
	{ 0xceb615ac, "__skb_checksum" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x89e3a2df, "inet_proto_csum_replace4" },
	{ 0x43ed8c46, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x96d54675, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4bdecbb2, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8194447d, "dev_get_by_name" },
	{ 0x2edd90cc, "skb_clone" },
	{ 0xb7e25771, "metadata_dst_alloc" },
	{ 0x31ec6aba, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x37e67447, "peernet2id_alloc" },
	{ 0x26fe39fe, "nf_ct_get_tuplepr" },
	{ 0x50ce6fa0, "netdev_rx_handler_register" },
	{ 0x10d433ad, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xd3eca30c, "genl_unregister_family" },
	{ 0xe956027, "dev_disable_lro" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xb3b553f5, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5769e48a, "genl_register_family" },
	{ 0xc1e320da, "nf_ct_tmpl_free" },
	{ 0xc375ac9f, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2ac18aaa, "__skb_gso_segment" },
	{ 0xcc00016, "up_read" },
	{ 0x7c444953, "skb_mpls_push" },
	{ 0x6d1612e9, "register_pernet_device" },
	{ 0xfbbbdee5, "nf_conntrack_in" },
	{ 0xebe2be74, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0x7e9282dd, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xff9ffea8, "kmem_cache_destroy" },
	{ 0xdc9fa50, "__skb_vlan_pop" },
	{ 0xbcc280c7, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaf2a3cb5, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "5EBF14E61B9AAB08E5E789B");
MODULE_INFO(rhelversion, "9.5");
