#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xf78360b1, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x8c5dfada, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x52403ffd, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x4d0820ea, "");
SYMBOL_CRC(gss_mech_put, 0xdecc576a, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x7e248b25, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x37064478, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f6a4b96, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x452ee2f5, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x70c56915, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x14245d54, "xdr_buf_from_iov" },
	{ 0x86a5dfb, "bpf_trace_run4" },
	{ 0x502f37f6, "xdr_stream_decode_opaque_auth" },
	{ 0x7236974a, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa5010d44, "xdr_write_pages" },
	{ 0xb69f174d, "rpc_shutdown_client" },
	{ 0xd77634c4, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x322c3719, "xdr_inline_decode" },
	{ 0xc61cc751, "cache_create_net" },
	{ 0xfa5329dd, "rpcauth_destroy_credcache" },
	{ 0x7ebb7ea1, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xbac1af68, "bpf_trace_run6" },
	{ 0x55a9306b, "rpc_net_ns" },
	{ 0x756a84ca, "read_bytes_from_xdr_buf" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xea4fc978, "finish_wait" },
	{ 0x9a0eabe6, "rpc_wake_up" },
	{ 0xfd39d637, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xdd29b35e, "sunrpc_cache_lookup_rcu" },
	{ 0x664ec0b7, "prepare_to_wait" },
	{ 0xc66cf631, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x5280f6df, "__put_devmap_managed_page_refs" },
	{ 0xac93bc41, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0x77e77eaf, "bpf_trace_run2" },
	{ 0x7945f6a2, "prepare_to_wait_event" },
	{ 0x41068788, "xdr_truncate_decode" },
	{ 0x3a01a1a3, "rpcauth_unregister" },
	{ 0xfc28c9d6, "event_triggers_call" },
	{ 0x1a648f20, "__wake_up" },
	{ 0x91b5d41d, "__xdr_commit_encode" },
	{ 0xdcb67438, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x84f7f18, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcabc1f3, "__put_cred" },
	{ 0x8ddd83d4, "register_pernet_subsys" },
	{ 0xfa01e14e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2b054a16, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x4aa36929, "rpc_release_client" },
	{ 0x6e3f1305, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4ca81ca5, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1e09a46c, "svc_auth_register" },
	{ 0x710f0068, "xdr_stream_encode_opaque_auth" },
	{ 0xadd27cfd, "trace_event_ignore_this_pid" },
	{ 0xa499dfa7, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x6ed898bb, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8e9b03d8, "__free_pages" },
	{ 0x6aa2c7db, "rpc_pipe_generic_upcall" },
	{ 0x2d1651c8, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x8866e5bd, "cache_unregister_net" },
	{ 0x782dde54, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x46d98881, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3dbc091e, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xc42c2618, "rpcauth_init_credcache" },
	{ 0x54bc7b83, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xa6b12514, "xdr_init_decode" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x8925112f, "trace_event_reg" },
	{ 0x7608445b, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xebcbe16e, "rpc_sleep_on_timeout" },
	{ 0xb1ce88ae, "rpc_create" },
	{ 0xea7dda1d, "bpf_trace_run1" },
	{ 0x96f4b50, "rpc_call_sync" },
	{ 0x335b45d9, "from_kuid" },
	{ 0x3bdc48c4, "unregister_pernet_subsys" },
	{ 0xd2510cff, "rpc_queue_upcall" },
	{ 0xb8de58b7, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x75fe4cf4, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x36fd7f59, "svcauth_unix_set_client" },
	{ 0x9eb0e70, "xdr_buf_subsegment" },
	{ 0xffffb74e, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x6a01fc34, "make_kgid" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x61c41c3b, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x7ede005d, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb7baa363, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc38604c1, "bpf_trace_run3" },
	{ 0x62bb50f8, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd847c63e, "rpc_mkpipe_dentry" },
	{ 0x656f87b8, "rpc_mkpipe_data" },
	{ 0x312c94c4, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x32000ea2, "trace_event_buffer_reserve" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x474c63d6, "cache_register_net" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0xbbc7ef42, "alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd341793, "xdr_inline_pages" },
	{ 0xd485dd51, "__folio_put" },
	{ 0x240ce7a3, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x51a19416, "rpc_init_wait_queue" },
	{ 0x18e1907a, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x6a85c4e6, "rpc_unlink" },
	{ 0x9d84a40, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x10241cc5, "from_kuid_munged" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x1b9c9d55, "rpcauth_init_cred" },
	{ 0xde835c94, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x75176baa, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0xd17c1a1e, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7b30a7bd, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x961fe34, "sunrpc_cache_update" },
	{ 0x9b89d819, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70db9de6, "rpc_destroy_wait_queue" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x45c363d, "auth_domain_put" },
	{ 0x31221d15, "rpcauth_unwrap_resp_decode" },
	{ 0xb9333269, "rpcauth_register" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "042216EF997B5C7D2FED528");
MODULE_INFO(rhelversion, "9.5");
