#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_use_lock_sync_helper, "", "");
KSYMTAB_FUNC(snd_seq_client_ioctl_lock, "_gpl", "");
KSYMTAB_FUNC(snd_seq_client_ioctl_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_seq_set_queue_tempo, "", "");
KSYMTAB_FUNC(snd_seq_create_kernel_client, "", "");
KSYMTAB_FUNC(snd_seq_delete_kernel_client, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_enqueue, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_dispatch, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_ctl, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_write_poll, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_get, "_gpl", "");
KSYMTAB_FUNC(snd_seq_kernel_client_put, "_gpl", "");
KSYMTAB_FUNC(snd_seq_dump_var_event, "", "");
KSYMTAB_FUNC(snd_seq_expand_var_event, "", "");
KSYMTAB_FUNC(snd_seq_expand_var_event_at, "_gpl", "");
KSYMTAB_FUNC(snd_seq_system_broadcast, "_gpl", "");
KSYMTAB_FUNC(snd_seq_event_port_attach, "", "");
KSYMTAB_FUNC(snd_seq_event_port_detach, "", "");

SYMBOL_CRC(snd_use_lock_sync_helper, 0x3061c52d, "");
SYMBOL_CRC(snd_seq_client_ioctl_lock, 0xe50413d7, "_gpl");
SYMBOL_CRC(snd_seq_client_ioctl_unlock, 0xadb51cff, "_gpl");
SYMBOL_CRC(snd_seq_set_queue_tempo, 0xb8e448a0, "");
SYMBOL_CRC(snd_seq_create_kernel_client, 0xfe084f46, "");
SYMBOL_CRC(snd_seq_delete_kernel_client, 0x6bb71038, "");
SYMBOL_CRC(snd_seq_kernel_client_enqueue, 0x063f26c3, "");
SYMBOL_CRC(snd_seq_kernel_client_dispatch, 0x85cd59a8, "");
SYMBOL_CRC(snd_seq_kernel_client_ctl, 0x1a724fcc, "");
SYMBOL_CRC(snd_seq_kernel_client_write_poll, 0x3a987497, "");
SYMBOL_CRC(snd_seq_kernel_client_get, 0x5bf4f726, "_gpl");
SYMBOL_CRC(snd_seq_kernel_client_put, 0x0dec82d8, "_gpl");
SYMBOL_CRC(snd_seq_dump_var_event, 0x23738926, "");
SYMBOL_CRC(snd_seq_expand_var_event, 0xa6e19f8e, "");
SYMBOL_CRC(snd_seq_expand_var_event_at, 0xf0c8f9fa, "_gpl");
SYMBOL_CRC(snd_seq_system_broadcast, 0xcbf9166f, "_gpl");
SYMBOL_CRC(snd_seq_event_port_attach, 0x9c369664, "");
SYMBOL_CRC(snd_seq_event_port_detach, 0x7b8699eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x185d46d5, "clear_user_rep_good" },
	{ 0x452ee2f5, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1800c9ba, "__init_rwsem" },
	{ 0x3a8cf6e4, "snd_info_register" },
	{ 0x8f9ee588, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x370a0736, "snd_seq_autoload_init" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x7a04051e, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4a3ea5c0, "snd_request_card" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xc5edb8b, "param_array_ops" },
	{ 0x2169d10f, "snd_info_free_entry" },
	{ 0xdf4ec40f, "snd_seq_root" },
	{ 0x9feeee15, "snd_timer_close" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0xf60d5c3e, "add_wait_queue" },
	{ 0x1a648f20, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xeed74404, "snd_timer_open" },
	{ 0x1000e51, "schedule" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0e52e56, "clear_user_original" },
	{ 0xd109d941, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x123a6a46, "rt_write_unlock" },
	{ 0x778f5c92, "snd_timer_start" },
	{ 0x2d1651c8, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x38c11315, "down_write" },
	{ 0x36523dc6, "up_write" },
	{ 0xf451ecc9, "snd_timer_resolution" },
	{ 0xcb085385, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xeeea48b, "snd_timer_pause" },
	{ 0x5a921311, "strncmp" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0xbecab81f, "clear_user_erms" },
	{ 0x79a94f3, "snd_unregister_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x6d1bcd57, "snd_device_alloc" },
	{ 0x210aa689, "snd_timer_instance_new" },
	{ 0xfb578fc5, "memset" },
	{ 0x91def1c, "snd_seq_autoload_exit" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xffffb74e, "__init_waitqueue_head" },
	{ 0x4b05666d, "snd_timer_instance_free" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x4466e11e, "down_read" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe3ddcd5f, "rt_read_lock" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xc30df995, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1311ae37, "seq_printf" },
	{ 0x6339b6d0, "snd_seq_device_load_drivers" },
	{ 0xc4839a01, "rt_write_lock" },
	{ 0x868ce2eb, "remove_wait_queue" },
	{ 0x156334b5, "stream_open" },
	{ 0xe1ab5e41, "pid_vnr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xfd312e54, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5ff7f40, "snd_register_device" },
	{ 0xcc00016, "up_read" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0x7fe0cc88, "put_pid" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-seq-device,snd-timer");


MODULE_INFO(srcversion, "B683DD27576FE47E09D069A");
MODULE_INFO(rhelversion, "9.5");
