#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x92e3c373, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0x6477ab98, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0x36635b84, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x047cda02, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0xb724f9b1, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x50d81fd1, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x852fcbb5, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0xfa1b5cf3, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0xfbb380e4, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x4af43f04, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0x8f74f208, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0x51af7174, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x17d7246a, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0x706acdbe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x8c394d62, "device_property_present" },
	{ 0x88399e2, "regcache_cache_only" },
	{ 0x3774588a, "regcache_sync" },
	{ 0xde7a312a, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x128f8dd4, "snd_soc_jack_report" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xafc3d91a, "gpiod_set_value_cansleep" },
	{ 0x9b12cfa7, "snd_pcm_hw_constraint_minmax" },
	{ 0x3a2119fa, "regcache_sync_region" },
	{ 0x5d3a1a12, "snd_soc_put_enum_double" },
	{ 0x24c08e6c, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7f02e459, "devm_gpiod_get_optional" },
	{ 0x98b1b94c, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x361c165b, "devm_snd_soc_register_component" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x54eb043c, "device_property_read_u32_array" },
	{ 0xf61c1475, "snd_soc_get_enum_double" },
	{ 0x7802aa1a, "_dev_info" },
	{ 0x3930552f, "snd_soc_info_volsw" },
	{ 0x28d6e95, "regcache_drop_region" },
	{ 0x6c7738f4, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcb085385, "mutex_lock" },
	{ 0xf1e70274, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8ed0ebde, "snd_soc_info_enum_double" },
	{ 0xf1d7315e, "snd_soc_get_volsw" },
	{ 0x4ab4bc60, "regmap_read" },
	{ 0xdc064cf9, "snd_soc_put_volsw" },
	{ 0xe8729465, "snd_soc_component_update_bits" },
	{ 0xa0dff094, "__pm_runtime_resume" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x790efc3f, "regmap_bulk_read" },
	{ 0x1d8219c2, "regmap_update_bits_base" },
	{ 0x16b5ef77, "dev_err_probe" },
	{ 0xabbbcbeb, "regmap_multi_reg_write" },
	{ 0x514dded9, "__pm_runtime_suspend" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "0CFCC13CFCF1A0369B62361");
MODULE_INFO(rhelversion, "9.5");
