#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_attrs, 0xe5650362, "_gpl");
SYMBOL_CRC(ahci_sdev_attrs, 0x858edb64, "_gpl");
SYMBOL_CRC(ahci_ops, 0xa43fa6d9, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x025bd9ad, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x574cb3c2, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0xe1f7b3ab, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0xd021dc23, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x8fc179e9, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x77431249, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xc9657f4d, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0xf5bf371e, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0xa26db2b4, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x0434726a, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x586b5eb4, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x1f517368, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x2e396de7, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x56884ddf, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x92418085, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0xd12f6e12, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xfa7a1638, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x2b58bb45, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x2d62a136, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0xe70f102d, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xc645557e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8cdce2c3, "ata_std_qc_defer" },
	{ 0x726e5dd9, "sata_pmp_qc_defer_cmd_switch" },
	{ 0x98b1b94c, "__dynamic_dev_dbg" },
	{ 0xeb39dcc3, "ata_port_classify" },
	{ 0x4f2c01aa, "ata_qc_complete_multiple" },
	{ 0xa2b58bf0, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x1bdb4299, "sata_pmp_error_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb251d597, "ata_host_start" },
	{ 0x407f22c8, "devm_request_threaded_irq" },
	{ 0x6315deec, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x1c219555, "ata_host_register" },
	{ 0x6cb123db, "ata_host_activate" },
	{ 0xf1e70274, "_dev_warn" },
	{ 0x3bb6201f, "ata_dummy_port_ops" },
	{ 0x44596de3, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x32ebca8d, "devm_kmalloc" },
	{ 0x24f57253, "dmam_alloc_attrs" },
	{ 0xc959958b, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0x8246c69, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xc2e1fd6d, "sata_link_hardreset" },
	{ 0x24cf25f6, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbc09d1db, "ata_ehi_clear_desc" },
	{ 0x41de67ba, "ata_ehi_push_desc" },
	{ 0xe0304fd5, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9e18faee, "ata_port_abort" },
	{ 0x254f174f, "sata_lpm_ignore_phy_events" },
	{ 0x4fc734b8, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xfd312e54, "param_ops_int" },
	{ 0x644716a, "param_ops_bool" },
	{ 0xe36993c, "sata_pmp_port_ops" },
	{ 0xa08a630, "dev_attr_sw_activity" },
	{ 0x70d95a29, "dev_attr_unload_heads" },
	{ 0xb1e3e70c, "dev_attr_ncq_prio_supported" },
	{ 0x6798128c, "dev_attr_ncq_prio_enable" },
	{ 0x835d288, "dev_attr_link_power_management_policy" },
	{ 0xbfbbd55f, "dev_attr_em_message_type" },
	{ 0xf4b96fa3, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa0dff094, "__pm_runtime_resume" },
	{ 0xa1065340, "__pm_runtime_idle" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x1f69e093, "ata_link_next" },
	{ 0xdb837bce, "ata_wait_register" },
	{ 0x7802aa1a, "_dev_info" },
	{ 0x43c19015, "ata_dev_set_feature" },
	{ 0x2cfea544, "sata_link_scr_lpm" },
	{ 0x7f9ba840, "ata_msleep" },
	{ 0x6c7738f4, "_dev_err" },
	{ 0xddc0a666, "ata_std_postreset" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "5961D94188DD8E84CA115C2");
MODULE_INFO(rhelversion, "9.5");
