#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x65485eae, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x1d344302, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0x83f478e3, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xb926b0d3, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xaba6ed0a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeeb0420c, "__do_once_done" },
	{ 0x287daa0c, "ip6_route_input_lookup" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xefaef342, "dev_pre_changeaddr_notify" },
	{ 0x37818533, "dev_mc_sync" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x800d0cbe, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd6ffde4e, "netdev_update_features" },
	{ 0x8b630f59, "consume_skb" },
	{ 0xc380a5d5, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0x897cce50, "dev_uc_sync" },
	{ 0xda8c0fd5, "rtnl_link_register" },
	{ 0x47f6f4fc, "netif_inherit_tso_max" },
	{ 0x5e4bbfea, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc2abe67a, "ip_route_output_flow" },
	{ 0x1d29c147, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7def6cf8, "dev_uc_unsync" },
	{ 0xbd02307c, "ether_setup" },
	{ 0xf51753ed, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb59867cc, "netdev_upper_dev_link" },
	{ 0x8ddd83d4, "register_pernet_subsys" },
	{ 0x3ab39a18, "netdev_core_stats_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x25edddfc, "netdev_rx_handler_unregister" },
	{ 0x16d3c049, "eth_header_parse" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xe0ed4809, "eth_header_cache_update" },
	{ 0xa934b246, "nf_register_net_hooks" },
	{ 0xb1df8a61, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x116f6ccc, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x35638d3d, "__dev_get_by_index" },
	{ 0xe78775ad, "rtnl_link_unregister" },
	{ 0x8a0fa9c, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x326da34d, "netif_stacked_transfer_operstate" },
	{ 0x2e9ea147, "kfree_skb_reason" },
	{ 0x5eeab1e0, "netdev_upper_dev_unlink" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xaf780e2d, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2f6ae8b3, "ns_capable" },
	{ 0x1d1e8f6e, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xced9bc04, "ethtool_op_get_link" },
	{ 0xa313f997, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x3bdc48c4, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbd956c0e, "__pskb_pull_tail" },
	{ 0x5bc2cc67, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x545bb4af, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xb9cc602b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1e74b29d, "vlan_vid_add" },
	{ 0x74d3e160, "call_netdevice_notifiers" },
	{ 0x3975593d, "vlan_vid_del" },
	{ 0x2af74ea4, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2edd90cc, "skb_clone" },
	{ 0x31ec6aba, "dst_release" },
	{ 0x50ce6fa0, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4e067c57, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xd2317279, "dev_mc_unsync" },
	{ 0x97d2be55, "dev_change_flags" },
	{ 0x95de80d2, "dev_forward_skb" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xaf2a3cb5, "register_netdevice" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "28512DAED13D1CEE197123A");
MODULE_INFO(rhelversion, "9.5");
