#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(brcmf_set_wsec, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_cmd_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_iovar_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_bsscfg_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_set, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fil_xtlv_data_get, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_register_vendor, "_gpl", "BRCMFMAC");
KSYMTAB_FUNC(brcmf_fwvid_unregister_vendor, "_gpl", "BRCMFMAC");

SYMBOL_CRC(brcmf_set_wsec, 0x4d27257c, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_set, 0x271e529b, "_gpl");
SYMBOL_CRC(brcmf_fil_cmd_data_get, 0x837f894d, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_set, 0xb20e934a, "_gpl");
SYMBOL_CRC(brcmf_fil_iovar_data_get, 0xb1594026, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_set, 0x10a7514a, "_gpl");
SYMBOL_CRC(brcmf_fil_bsscfg_data_get, 0x8381171a, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_set, 0x4a31b465, "_gpl");
SYMBOL_CRC(brcmf_fil_xtlv_data_get, 0xeb00e730, "_gpl");
SYMBOL_CRC(brcmf_fwvid_register_vendor, 0xa5821998, "_gpl");
SYMBOL_CRC(brcmf_fwvid_unregister_vendor, 0x454f2f6a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0xfd2162a3, "brcmu_pktq_mlen" },
	{ 0x613d4851, "cfg80211_sched_scan_results" },
	{ 0x8d6ebca5, "sdio_retune_hold_now" },
	{ 0xccf88a57, "sdio_release_host" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x438f9e1d, "usb_alloc_urb" },
	{ 0xce96bfcb, "sdio_disable_func" },
	{ 0x3285d320, "cfg80211_mgmt_tx_status_ext" },
	{ 0xa9661cd0, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x61b2b396, "usb_autopm_put_interface" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x1cccce9b, "sdio_set_block_size" },
	{ 0x337fa3d4, "is_acpi_device_node" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x1ea477d0, "usb_free_urb" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x32ebca8d, "devm_kmalloc" },
	{ 0x842c2fbd, "pci_enable_device" },
	{ 0xb1f221e4, "skb_put" },
	{ 0x805ea9cc, "brcmu_pkt_buf_free_skb" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x4ba99209, "sdio_retune_crc_disable" },
	{ 0x7d517b87, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc72569bb, "firmware_request_nowarn" },
	{ 0x3950f1a0, "platform_driver_unregister" },
	{ 0xc18d4fd1, "sdio_claim_host" },
	{ 0x97918f4e, "cfg80211_sched_scan_stopped" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x29d4334c, "sdio_memcpy_fromio" },
	{ 0x8b630f59, "consume_skb" },
	{ 0x28d8cb8, "sdio_register_driver" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x1b7f2995, "unregister_netdev" },
	{ 0x55bd2089, "cfg80211_remain_on_channel_expired" },
	{ 0xd6d6c2d2, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xea4fc978, "finish_wait" },
	{ 0x44d1074e, "cfg80211_register_netdevice" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x6f66e672, "dma_unmap_page_attrs" },
	{ 0x96d0b299, "request_firmware" },
	{ 0xbd2ed7a, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xb06c33bd, "__pci_register_driver" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xea9c832a, "pci_disable_msi" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0xf60d5c3e, "add_wait_queue" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x8f70a06e, "cfg80211_port_authorized" },
	{ 0xc53c9169, "brcmu_pktq_init" },
	{ 0xb9b5a569, "brcmu_pktq_penq_head" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x7945f6a2, "prepare_to_wait_event" },
	{ 0x54ff5a96, "sdio_memcpy_toio" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1a648f20, "__wake_up" },
	{ 0x24bee7c7, "cfg80211_new_sta" },
	{ 0xa17c0ccf, "brcmu_dotrev_str" },
	{ 0xd3e29b7e, "cfg80211_disconnected" },
	{ 0xbd02307c, "ether_setup" },
	{ 0x417c842, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8528cb4, "pskb_expand_head" },
	{ 0x28e22046, "wake_up_process" },
	{ 0xc959958b, "dev_driver_string" },
	{ 0xfcbfbb4a, "sdio_f0_readb" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x26ccc546, "eth_type_trans" },
	{ 0xfec87504, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x61ccb82a, "dma_map_page_attrs" },
	{ 0x2068999c, "alloc_netdev_mqs" },
	{ 0x54a93b14, "wiphy_new_nm" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x92997ed8, "_printk" },
	{ 0xaa3588eb, "cfg80211_ready_on_channel" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe6631f43, "cfg80211_classify8021d" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x4af6bdf6, "sdio_release_irq" },
	{ 0xf52d7cf2, "cfg80211_crit_proto_stopped" },
	{ 0xf1c34dfc, "wiphy_register" },
	{ 0x75c03591, "__cfg80211_alloc_reply_skb" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xc230a8df, "cfg80211_put_bss" },
	{ 0x15c4b4bc, "cfg80211_roamed" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x5a48154c, "usb_submit_urb" },
	{ 0x9f984513, "strrchr" },
	{ 0x7802aa1a, "_dev_info" },
	{ 0x9d4c9354, "skb_queue_tail" },
	{ 0x1fbd0e8d, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x39ec8389, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe79a7917, "sdio_set_host_pm_flags" },
	{ 0x70eac531, "sdio_f0_writeb" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x915ce330, "sdio_unregister_driver" },
	{ 0x47eb8b0c, "sdio_readsb" },
	{ 0xe7b56356, "usb_match_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x74ac0993, "pci_enable_msi" },
	{ 0xfddeb056, "efi" },
	{ 0x6c7738f4, "_dev_err" },
	{ 0xec905379, "device_wakeup_enable" },
	{ 0x7a890727, "cfg80211_ibss_joined" },
	{ 0xb1ebfd9b, "request_firmware_nowait" },
	{ 0x22941144, "simple_open" },
	{ 0x8a0fa9c, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc2a113a, "add_timer" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x21c9d9ed, "cfg80211_michael_mic_failure" },
	{ 0xbae7f55, "wiphy_apply_custom_regulatory" },
	{ 0x2e9ea147, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcb085385, "mutex_lock" },
	{ 0xb15ec0a3, "skb_push" },
	{ 0x1844845b, "sdio_retune_crc_enable" },
	{ 0xfa559ce, "brcmu_pktq_flush" },
	{ 0x1cbfb877, "brcmu_pktq_peek_tail" },
	{ 0x914f65ce, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0xb87ef2d6, "cfg80211_del_sta_sinfo" },
	{ 0x69b9f2ab, "sdio_readl" },
	{ 0x1aad4353, "mmc_set_data_timeout" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x70dc1946, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xbc2a69f1, "wiphy_unregister" },
	{ 0x712d0abf, "free_netdev" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x277aaba3, "kthread_stop" },
	{ 0xa906bf02, "eth_platform_get_mac_address" },
	{ 0x876e1f3b, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8ad79f0, "netif_tx_wake_queue" },
	{ 0xb19b445, "ioread8" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xf1e70274, "_dev_warn" },
	{ 0x9672c60b, "brcmu_pktq_pdeq_match" },
	{ 0xb3d770f, "cfg80211_vendor_cmd_reply" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xe4ccc25b, "sdio_writel" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xb536760b, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x331df5df, "mmc_wait_for_req" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xffffb74e, "__init_waitqueue_head" },
	{ 0xbd956c0e, "__pskb_pull_tail" },
	{ 0x5bc2cc67, "netif_rx" },
	{ 0x755671f9, "__netdev_alloc_skb" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x95096d7d, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5ea2c797, "skb_trim" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x4b49eb7c, "skb_unlink" },
	{ 0x4c42aace, "sdio_get_host_pm_caps" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd5d88eec, "kthread_create_on_node" },
	{ 0x7541cce0, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x12e3ba80, "pm_runtime_forbid" },
	{ 0xc3967f79, "debugfs_create_file" },
	{ 0xd8dd9aa8, "brcmu_pktq_mdeq" },
	{ 0xd4ca9844, "cfg80211_unregister_wdev" },
	{ 0xf4ed4d8b, "pci_pme_capable" },
	{ 0x193a1e39, "brcmu_pktq_penq" },
	{ 0xcb157667, "dma_free_attrs" },
	{ 0x8a3a34bb, "pm_runtime_allow" },
	{ 0x999e8297, "vfree" },
	{ 0xa0e2f5e7, "__platform_driver_probe" },
	{ 0x19817f38, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x343ecb8a, "usb_autopm_get_interface" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xc34a08f7, "brcmu_pktq_pdeq_tail" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x71b0e32b, "driver_for_each_device" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xc310b981, "strnstr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xe17d3d0f, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc93d4500, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0x9aadca41, "netif_carrier_on" },
	{ 0x3dd4671b, "brcmu_pkt_buf_get_skb" },
	{ 0x39fbb324, "mmc_hw_reset" },
	{ 0x28f82169, "sdio_retune_release" },
	{ 0x5ea1a9c7, "sdio_claim_irq" },
	{ 0x7a2cdad5, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x560fd57e, "pci_disable_device" },
	{ 0x9051ba6b, "pci_match_id" },
	{ 0x1d10b276, "sdio_enable_func" },
	{ 0x868ce2eb, "remove_wait_queue" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x60e48fef, "acpi_dev_get_property" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x9120cb91, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xb712b71c, "cfg80211_inform_bss_data" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xea124bd1, "gcd" },
	{ 0xcdafee56, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xb3b553f5, "dev_kfree_skb_any_reason" },
	{ 0xfd312e54, "param_ops_int" },
	{ 0x349cba85, "strchr" },
	{ 0x408d08e, "cfg80211_connect_done" },
	{ 0x7410aba2, "strreplace" },
	{ 0xceab0311, "strchrnul" },
	{ 0xa3f1015f, "wiphy_free" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x677d1922, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66c37be, "pci_write_config_dword" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0xd6217d91, "brcmu_d11_attach" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8d47e35b, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9d3b934c, "sdio_readb" },
	{ 0xd0ccf6f0, "sdio_writeb" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "brcmutil,cfg80211,mmc_core");

MODULE_ALIAS("sdio:c*v02D0dA887*");
MODULE_ALIAS("sdio:c*v02D0d4324*");
MODULE_ALIAS("sdio:c*v02D0d4329*");
MODULE_ALIAS("sdio:c*v02D0d4330*");
MODULE_ALIAS("sdio:c*v02D0d4334*");
MODULE_ALIAS("sdio:c*v02D0dA94C*");
MODULE_ALIAS("sdio:c*v02D0dA94D*");
MODULE_ALIAS("sdio:c*v02D0dA962*");
MODULE_ALIAS("sdio:c*v02D0dA9A4*");
MODULE_ALIAS("sdio:c*v02D0d4335*");
MODULE_ALIAS("sdio:c*v02D0d4339*");
MODULE_ALIAS("sdio:c*v02D0dA9A6*");
MODULE_ALIAS("sdio:c*v02D0dA9AF*");
MODULE_ALIAS("sdio:c*v02D0d4345*");
MODULE_ALIAS("sdio:c*v02D0dA9BF*");
MODULE_ALIAS("sdio:c*v02D0d4354*");
MODULE_ALIAS("sdio:c*v02D0d4356*");
MODULE_ALIAS("sdio:c*v02D0d4359*");
MODULE_ALIAS("sdio:c*v02D0d4373*");
MODULE_ALIAS("sdio:c*v02D0dA804*");
MODULE_ALIAS("sdio:c*v02D0dAAE8*");
MODULE_ALIAS("sdio:c*v02D0d4355*");
MODULE_ALIAS("sdio:c*v04B4dBD3D*");
MODULE_ALIAS("pci:v000014E4d000043A3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004355sv000014E4sd00004355bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004354sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043DCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043ECsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043D9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA31sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043E9sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043EFsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043BCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000AA52sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004464sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CAsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CBsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043CCsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004365sv000014E4sd00004365bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C3sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C4sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d000043C5sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d0000440Dsv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004415sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004488sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004425sv*sd*bc02sc80i*");
MODULE_ALIAS("pci:v000014E4d00004433sv*sd*bc02sc80i*");
MODULE_ALIAS("usb:v0A5CpBD1Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD17d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD1Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5CpBD27d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4pBD29d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A5Cp0BDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B4p0BDCd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "17BCC300BF799C35A8EE7AE");
MODULE_INFO(rhelversion, "9.5");
