#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_integrity_init, "", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x9a6c65b3, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xc3f26c3e, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x722ab647, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xffe73080, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xd249086a, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xd022061f, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x4a21f26e, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0x6f4a1b2d, "");
SYMBOL_CRC(nd_device_notify, 0x6b35fef5, "");
SYMBOL_CRC(nvdimm_region_notify, 0xb092c267, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xbfa0a903, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x5e52097d, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x75e881c6, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x0163b745, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xb09128d7, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xc7fd7df7, "");
SYMBOL_CRC(nd_device_unregister, 0x1c9cd6e3, "");
SYMBOL_CRC(__nd_driver_register, 0xa11149a5, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x014f3f7d, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xb58c8619, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x1bd7da22, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xd44839a2, "_gpl");
SYMBOL_CRC(to_ndd, 0x2f56d92f, "");
SYMBOL_CRC(nvdimm_name, 0x51e83d4f, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xcf70ae98, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x5b81146e, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x9a2c9f4a, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xa766753f, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x2b734acc, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xc8a49544, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0xb74b94c9, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x16a75d20, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x817e325b, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x75d14485, "_gpl");
SYMBOL_CRC(to_nd_region, 0x577233ed, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x76008059, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x7b3c2c20, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0xb4d6cc64, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x8ae9bc47, "");
SYMBOL_CRC(nd_region_release_lane, 0x47cd5da8, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x5630af40, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x7f02de72, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xceb2ea82, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x4f409fd9, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0xaf284920, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0xd88c4ed3, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x5594ad2e, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0xbf39b2a0, "");
SYMBOL_CRC(pmem_sector_size, 0x0d2473c5, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xe8f6436a, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x58dda87e, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xeeeee87e, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xe7f76d35, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x544af60b, "");
SYMBOL_CRC(devm_namespace_enable, 0x6d6eadfc, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0xa79adfb8, "_gpl");
SYMBOL_CRC(badrange_init, 0xd57b3ed5, "_gpl");
SYMBOL_CRC(badrange_add, 0x960065fb, "_gpl");
SYMBOL_CRC(badrange_forget, 0xbfbee043, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x888a2832, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x76b0b503, "");
SYMBOL_CRC(is_nd_btt, 0x87c2ac2a, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xdf86cee7, "");
SYMBOL_CRC(nd_btt_version, 0x42ac22b7, "");
SYMBOL_CRC(nd_btt_probe, 0xb7379a3d, "");
SYMBOL_CRC(to_nd_pfn, 0x251ddc65, "");
SYMBOL_CRC(is_nd_pfn, 0x24e5bf3a, "");
SYMBOL_CRC(nd_pfn_validate, 0x3144db83, "");
SYMBOL_CRC(nd_pfn_probe, 0x6ad55d6a, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x3a02583b, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x7e507ce4, "");
SYMBOL_CRC(is_nd_dax, 0x3a222d15, "");
SYMBOL_CRC(nd_dax_probe, 0xff377fa7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x440495e, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0xd0fd3b66, "blk_integrity_register" },
	{ 0x452ee2f5, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x32ebca8d, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0xbde164e9, "devm_memremap" },
	{ 0x7a04051e, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x9def3e16, "badblocks_set" },
	{ 0x216ea206, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xea4fc978, "finish_wait" },
	{ 0x595e6495, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xee5bfc92, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xb56eb262, "badblocks_exit" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0x6a4b31e, "device_for_each_child" },
	{ 0x7945f6a2, "prepare_to_wait_event" },
	{ 0x1a648f20, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x947e415b, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x98b1b94c, "__dynamic_dev_dbg" },
	{ 0x75cb135, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc959958b, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe7bd62fa, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x39fe4ae, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xd109d941, "put_device" },
	{ 0xf6454def, "badblocks_show" },
	{ 0x44c80cc2, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x7802aa1a, "_dev_info" },
	{ 0x2d1651c8, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x92e680a1, "compat_ptr_ioctl" },
	{ 0xa88d68a1, "perf_pmu_migrate_context" },
	{ 0x9c8261ef, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xac5851bd, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6da1b2fd, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x6c7738f4, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xee7b3d62, "__cpuhp_setup_state" },
	{ 0x72b83a60, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xe60e0872, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xe05e6a98, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0xb252a40b, "class_create" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x424770af, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x118b0ed2, "driver_unregister" },
	{ 0x98432e79, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6755ca7c, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xeef356c9, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xf1e70274, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xffffb74e, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x4466e11e, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xa63a8985, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x644716a, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x9961b5a5, "__devm_release_region" },
	{ 0xae65cd17, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x63a48a27, "kernfs_put" },
	{ 0x16610e56, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x36c4d8ee, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x22d21ce2, "badblocks_check" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x348f0bab, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x70b6a454, "badblocks_clear" },
	{ 0xc9ab25e0, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xcc00016, "up_read" },
	{ 0x401027cd, "driver_register" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0xf0355b64, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x19896987, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "88F66030C6769B1144F039F");
MODULE_INFO(rhelversion, "9.5");
