#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x2ed01424, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x901c8298, "nvme_remove_admin_tag_set" },
	{ 0x3b5fe415, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x5d01ec95, "nvme_uninit_ctrl" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x3707e4a7, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x96510032, "nvmf_free_options" },
	{ 0xab0dd930, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xea4fc978, "finish_wait" },
	{ 0x3385df39, "nvme_stop_keep_alive" },
	{ 0xd9d1a4d7, "blk_mq_complete_request_remote" },
	{ 0x6f66e672, "dma_unmap_page_attrs" },
	{ 0xb477da81, "nvme_setup_cmd" },
	{ 0x1427fb6a, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0x709b46a7, "nvme_alloc_admin_tag_set" },
	{ 0x7ad066eb, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x7945f6a2, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xc193bd52, "nvmf_reg_read32" },
	{ 0x1a648f20, "__wake_up" },
	{ 0x20b33de0, "nvme_delete_ctrl" },
	{ 0x947e415b, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc959958b, "dev_driver_string" },
	{ 0xa5dd0bcc, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x61ccb82a, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x354662f1, "nvme_remove_io_tag_set" },
	{ 0x9b994c06, "nvme_cleanup_cmd" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x764396bc, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x4fd2d935, "nvmf_unregister_transport" },
	{ 0x4e93a074, "blkcg_get_fc_appid" },
	{ 0xd109d941, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6b695e9e, "nvme_change_ctrl_state" },
	{ 0x7802aa1a, "_dev_info" },
	{ 0x9962a1fd, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb152d0c1, "nvme_alloc_io_tag_set" },
	{ 0x1e92e2b4, "nvme_fail_nonready_command" },
	{ 0x538a9264, "kobject_uevent_env" },
	{ 0xff70ba63, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6c7738f4, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0xc824ec46, "device_create" },
	{ 0xd0307e1d, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x2cd6af67, "__blk_rq_map_sg" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x6601c8bb, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x67a97a28, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x22239e8b, "nvmf_connect_admin_queue" },
	{ 0x14f7c6c4, "nvme_enable_ctrl" },
	{ 0x9f311d83, "nvme_unquiesce_admin_queue" },
	{ 0xf1e70274, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xffffb74e, "__init_waitqueue_head" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x78dacaf1, "nvme_unquiesce_io_queues" },
	{ 0xabb7a5be, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5186a875, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2c1e451a, "nvmf_should_reconnect" },
	{ 0xde8a1c27, "__dma_sync_single_for_device" },
	{ 0xee8779c8, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x36c4d8ee, "device_destroy" },
	{ 0xabfcf10c, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x10d87b45, "nvmf_register_transport" },
	{ 0x1295ae44, "blk_mq_start_request" },
	{ 0xecfd5fe9, "nvme_quiesce_io_queues" },
	{ 0xb1cf7126, "blk_mq_tagset_busy_iter" },
	{ 0xbcad97b3, "nvme_stop_ctrl" },
	{ 0x17054e96, "dma_unmap_sg_attrs" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x6351cfb4, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xc9906cfd, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x9d4f7636, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd96b2bb5, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf01b2b33, "__nvme_check_ready" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0x7a04bf08, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "F9BA19A3A552B8022628C50");
MODULE_INFO(rhelversion, "9.5");
