#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x1848af1d, "");
SYMBOL_CRC(sas_remove_host, 0xc1138bcf, "");
SYMBOL_CRC(sas_get_address, 0x396660ce, "");
SYMBOL_CRC(sas_tlr_supported, 0x4af34998, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xac12fd70, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x8b48e038, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x86fc9658, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xc05b425d, "");
SYMBOL_CRC(sas_phy_add, 0x755cf461, "");
SYMBOL_CRC(sas_phy_free, 0xe31bbd01, "");
SYMBOL_CRC(sas_phy_delete, 0x581c95fe, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xf87a96c7, "");
SYMBOL_CRC(sas_port_alloc, 0x681e655e, "");
SYMBOL_CRC(sas_port_alloc_num, 0xad5262d6, "");
SYMBOL_CRC(sas_port_add, 0x11d542d7, "");
SYMBOL_CRC(sas_port_free, 0xb8e7681a, "");
SYMBOL_CRC(sas_port_delete, 0xa4d54e92, "");
SYMBOL_CRC(scsi_is_sas_port, 0x3fa3b019, "");
SYMBOL_CRC(sas_port_get_phy, 0x3d9bd581, "");
SYMBOL_CRC(sas_port_add_phy, 0xf0737bca, "");
SYMBOL_CRC(sas_port_delete_phy, 0xdcad565d, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x646591f6, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x4032dd19, "");
SYMBOL_CRC(sas_end_device_alloc, 0x7d2501e7, "");
SYMBOL_CRC(sas_expander_alloc, 0x5524b2ea, "");
SYMBOL_CRC(sas_rphy_add, 0xc9b90a2f, "");
SYMBOL_CRC(sas_rphy_free, 0xd72c47f7, "");
SYMBOL_CRC(sas_rphy_delete, 0x7dd45326, "");
SYMBOL_CRC(sas_rphy_unlink, 0xef5926bb, "");
SYMBOL_CRC(sas_rphy_remove, 0xa8edc122, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x28bbe839, "");
SYMBOL_CRC(sas_attach_transport, 0xbf1781d2, "");
SYMBOL_CRC(sas_release_transport, 0x6b7bef5c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd2affc5c, "attribute_container_register" },
	{ 0x98277b4d, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd9cc397a, "dev_printk" },
	{ 0x1497e4c, "scsi_get_vpd_page" },
	{ 0x89dc4f30, "scsi_mode_sense" },
	{ 0xa9c72109, "attribute_container_unregister" },
	{ 0x6d32c67a, "scsi_remove_host" },
	{ 0x7f48e40e, "bsg_remove_queue" },
	{ 0x1cf228f, "scsi_remove_target" },
	{ 0xc643af44, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf1e70274, "_dev_warn" },
	{ 0x57f07937, "bsg_job_done" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0x680bd81d, "dma_opt_mapping_size" },
	{ 0xee5bfc92, "device_initialize" },
	{ 0x7a04051e, "dev_set_name" },
	{ 0xaf95395f, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6a4b31e, "device_for_each_child" },
	{ 0xd109d941, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xe60e0872, "device_add" },
	{ 0xa8246d4c, "transport_add_device" },
	{ 0xe92c7a37, "transport_configure_device" },
	{ 0x7ac7cc96, "device_del" },
	{ 0x9e6b644a, "transport_destroy_device" },
	{ 0x76914ef8, "transport_remove_device" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x947e415b, "get_device" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xa7308137, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x4fc293fb, "scsi_scan_target" },
	{ 0xeae33b20, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xac806511, "transport_class_register" },
	{ 0xc88157bb, "transport_class_unregister" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "99F820CD90C22B89804A467");
MODULE_INFO(rhelversion, "9.5");
