#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x2c23d02d, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x52c54c2a, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0xa47aafa5, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x0f130522, "");
SYMBOL_CRC(sdw_bus_master_delete, 0xe845e279, "");
SYMBOL_CRC(sdw_show_ping_status, 0x33656add, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x58e74a23, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x9f1a8578, "");
SYMBOL_CRC(sdw_write_no_pm, 0xac0943a0, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0xe3c00edf, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0xf7fea8d5, "");
SYMBOL_CRC(sdw_read_no_pm, 0xd04c938d, "");
SYMBOL_CRC(sdw_update_no_pm, 0x7ba5107a, "");
SYMBOL_CRC(sdw_update, 0x0b223a8d, "");
SYMBOL_CRC(sdw_nread, 0x80491094, "");
SYMBOL_CRC(sdw_nwrite, 0x2c2a5a52, "");
SYMBOL_CRC(sdw_read, 0x4e3ecee9, "");
SYMBOL_CRC(sdw_write, 0x0ef2207f, "");
SYMBOL_CRC(sdw_compare_devid, 0xefc10a32, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x7673e66b, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x08bf9108, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x43e07d2d, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0xfb305ffb, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x7a0f3ecb, "");
SYMBOL_CRC(sdw_clear_slave_status, 0xc8719491, "");
SYMBOL_CRC(sdw_slave_add, 0xb46efa08, "");
SYMBOL_CRC(sdw_master_read_prop, 0x8d3eb241, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x5a5c088b, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0xff121f71, "");
SYMBOL_CRC(sdw_stream_remove_master, 0xe9ff5b1a, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x5bb6e59a, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0x38f47b60, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x8c394d62, "device_property_present" },
	{ 0x390c04e1, "devm_device_add_groups" },
	{ 0x337fa3d4, "is_acpi_device_node" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x32ebca8d, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7a04051e, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x216ea206, "device_unregister" },
	{ 0xd6c2f157, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xc29cc32, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xa6dd3219, "seq_lseek" },
	{ 0x64cba8c3, "dev_pm_domain_attach" },
	{ 0x91c14422, "devm_device_add_group" },
	{ 0x6a4b31e, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x98b1b94c, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfd97def2, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa0fe77f9, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xd109d941, "put_device" },
	{ 0xbb2dd1fd, "pm_runtime_enable" },
	{ 0x54eb043c, "device_property_read_u32_array" },
	{ 0xdcfccc00, "fwnode_property_read_u32_array" },
	{ 0x74cf5671, "dev_pm_domain_detach" },
	{ 0x3fa21394, "pm_generic_runtime_suspend" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6da1b2fd, "bus_unregister" },
	{ 0x6c7738f4, "_dev_err" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x66789870, "debugfs_remove" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x118b0ed2, "driver_unregister" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x631c9e1f, "device_register" },
	{ 0x9e2e8f2e, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xf1e70274, "_dev_warn" },
	{ 0x704860e7, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7541cce0, "devm_kasprintf" },
	{ 0x6165b759, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x41e52b37, "fwnode_property_present" },
	{ 0xc3967f79, "debugfs_create_file" },
	{ 0xa0dff094, "__pm_runtime_resume" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xb50ac15d, "device_get_named_child_node" },
	{ 0x1311ae37, "seq_printf" },
	{ 0xefd70c05, "irq_create_mapping_affinity" },
	{ 0x612bf1ca, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x1498faea, "acpi_dev_for_each_child" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x514dded9, "__pm_runtime_suspend" },
	{ 0x9bd27bab, "irq_set_chip" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xdcd7fa5b, "__pm_runtime_use_autosuspend" },
	{ 0xbe5f9b28, "single_open" },
	{ 0xca692462, "__pm_runtime_disable" },
	{ 0x6978dd65, "debugfs_create_dir" },
	{ 0x401027cd, "driver_register" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0xa1065340, "__pm_runtime_idle" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0x19896987, "bus_register" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EA7C3DBD9454D60C45788CA");
MODULE_INFO(rhelversion, "9.5");
