#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0x51abf3e2, "");
SYMBOL_CRC(__vdpa_alloc_device, 0x9c24c620, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x3498a3db, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x5134be2c, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0xe8c2ccec, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0xf8fcdf8b, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0x2ef6bef3, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0x568ff192, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0xb1f03bfb, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x23f895c2, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0xeaa7c7b7, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0x255d1d2c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd109d941, "put_device" },
	{ 0x216ea206, "device_unregister" },
	{ 0x401027cd, "driver_register" },
	{ 0x118b0ed2, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2dd2875, "bus_for_each_dev" },
	{ 0x4466e11e, "down_read" },
	{ 0xcc00016, "up_read" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd3eca30c, "genl_unregister_family" },
	{ 0x6da1b2fd, "bus_unregister" },
	{ 0xa54991d, "ida_destroy" },
	{ 0x19896987, "bus_register" },
	{ 0x5769e48a, "genl_register_family" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x4fb9cf20, "dma_set_mask" },
	{ 0xc84f5e7b, "dma_set_coherent_mask" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x7a04051e, "dev_set_name" },
	{ 0x1800c9ba, "__init_rwsem" },
	{ 0xee5bfc92, "device_initialize" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x8b43311d, "netlink_capable" },
	{ 0xb2281028, "__alloc_skb" },
	{ 0xd0e2fe73, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0x2e9ea147, "kfree_skb_reason" },
	{ 0xca4aae28, "netlink_unicast" },
	{ 0x5ea2c797, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x38c11315, "down_write" },
	{ 0x36523dc6, "up_write" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd54201c, "driver_set_override" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0x3b4d68b7, "bus_find_device" },
	{ 0xe60e0872, "device_add" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6E1ABFDEECC213CA239F01");
MODULE_INFO(rhelversion, "9.5");
