#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(fscache_dirty_folio, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_FUNC(__SCT__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");

SYMBOL_CRC(fscache_addremove_sem, 0xd5b7bdc4, "");
SYMBOL_CRC(fscache_clearance_waiters, 0xedb29189, "");
SYMBOL_CRC(fscache_acquire_cache, 0x55cf6089, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x68e8078f, "");
SYMBOL_CRC(fscache_add_cache, 0x456b14a6, "");
SYMBOL_CRC(fscache_io_error, 0xae09e9a9, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x2efbf867, "");
SYMBOL_CRC(fscache_end_cookie_access, 0xbe6c3259, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0x5df37abf, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x182ebf29, "");
SYMBOL_CRC(fscache_caching_failed, 0x313856c7, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0xa389d8bf, "");
SYMBOL_CRC(__fscache_use_cookie, 0xa49023c2, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0xfc404b67, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xdc4fed16, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x5b65a557, "");
SYMBOL_CRC(fscache_put_cookie, 0xab8f97c6, "");
SYMBOL_CRC(fscache_get_cookie, 0x3cc51b38, "");
SYMBOL_CRC(__fscache_invalidate, 0xc3777143, "");
SYMBOL_CRC(fscache_wait_for_operation, 0xaa76e177, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0xf8c7747e, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0xc5c1796d, "");
SYMBOL_CRC(fscache_dirty_folio, 0x45ed715c, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0xc098f276, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x0f65027a, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x4e17f3f5, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x65e26ead, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x1adfc043, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_cache, 0x7c87e02d, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0xedbcd20c, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0xaa7120dd, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access_volume, 0x7b1b25da, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x43811fbc, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0xf3a5deee, "");
SYMBOL_CRC(__SCT__tp_func_fscache_access, 0x5954d7ac, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_end_volume_access, 0xab6463ba, "");
SYMBOL_CRC(__fscache_acquire_volume, 0xb11a1a9e, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0xa994edfa, "");
SYMBOL_CRC(fscache_withdraw_volume, 0x8c72452c, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x86a5dfb, "bpf_trace_run4" },
	{ 0x7236974a, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7ebb7ea1, "trace_raw_output_prep" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xea4fc978, "finish_wait" },
	{ 0xfd39d637, "trace_event_printf" },
	{ 0xe58d81e0, "xas_find" },
	{ 0xc66cf631, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0xcd2ab8e, "netfs_stats_show" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x77e77eaf, "bpf_trace_run2" },
	{ 0x7945f6a2, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xeb7dcfe3, "remove_proc_subtree" },
	{ 0xfc28c9d6, "event_triggers_call" },
	{ 0xb4b309c1, "kmem_cache_create" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfa01e14e, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xadd27cfd, "trace_event_ignore_this_pid" },
	{ 0x123a6a46, "rt_write_unlock" },
	{ 0xc22fa141, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x6cab5401, "__var_waitqueue" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x46d98881, "perf_trace_run_bpf_submit" },
	{ 0x38c11315, "down_write" },
	{ 0x36523dc6, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9c3da7e9, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbaee579b, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x8925112f, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xea7dda1d, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xa83930de, "proc_mkdir" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6af236c4, "folio_end_private_2" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4466e11e, "down_read" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc38604c1, "bpf_trace_run3" },
	{ 0xe3ddcd5f, "rt_read_lock" },
	{ 0x32000ea2, "trace_event_buffer_reserve" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc30df995, "rt_read_unlock" },
	{ 0x240ce7a3, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1311ae37, "seq_printf" },
	{ 0xc4839a01, "rt_write_lock" },
	{ 0xb08de491, "filemap_dirty_folio" },
	{ 0xc038657b, "seq_puts" },
	{ 0x35b23267, "iov_iter_xarray" },
	{ 0x8b4204ce, "proc_create_single_data" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x629f4f2e, "proc_create_seq_private" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xcc00016, "up_read" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0xff9ffea8, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "282B119926D2BCCA6A36E45");
MODULE_INFO(rhelversion, "9.5");
