#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x85f57d6c, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x0d27bef0, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x19b56a41, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xccddf8ca, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x0a3b1850, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x33be7e24, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xd7c2646d, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xe78d696e, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x2c1c5d05, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x70449deb, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x896678b4, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xcd029586, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x184a29e3, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x597b5171, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x60432ade, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x6a08b22a, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x1ecd12da, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xb299c0c9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xe42ce4df, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xa370f44b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0xddf7c66f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x3395cfb6, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x4cb86c50, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x28e7877e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x5e5d7f90, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x870abd85, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x37de33df, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0xcfaceb80, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0xf2712358, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x29a634cd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0xa8e9a63b, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0xa824a277, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0xd2581b77, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x0fc92395, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x358856cd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x80b44e50, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x36d9cbea, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x7d3e5e2e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0xdd5880b8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x97cf44cb, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x6db91b15, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x71c59b86, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x16a5ef40, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x6df864e7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0x1e2ed8b2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x83e19c15, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x40d01265, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x1645a4df, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x1c8669d2, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x517dd7bc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x67a2e644, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x622ec6b6, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xb9007a60, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x7b39d448, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x8c542a62, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x6ac9a7fc, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0xb42120c1, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x4ef95c1a, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x9ebde3bf, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xd963fa80, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xe13c0855, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0xcb4de574, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0xa7cce8fb, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x8730db6c, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x368ab73f, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x58a5662f, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x082ff1da, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0xe1170b56, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x7204a1bb, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x0ad633de, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0xd41ff3ce, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xe0f63891, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x0f751ea9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x8ce1c960, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x37aa0fa3, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x85a14d89, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xa827e8a1, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x5e99e9ed, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x88ca277c, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xdfb9f9b2, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xb0fe8913, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x6e3edef0, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x54a3a7d2, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x24d718f6, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x937dbb38, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x86141963, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x6003fc9e, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x0b8ff834, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x165948db, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x51ead071, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x32c7a8e8, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x424b322b, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x6c749042, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xd3472895, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x7a3c97ff, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0xa1cd624b, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0x8fbbc44d, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0x30ec7792, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xfbbf6d9b, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x1d1dcd1a, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x3d68422f, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x60eb0443, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xe8c87140, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x00da6d96, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0xe425b6de, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f6a4b96, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd86d5a07, "generic_copy_file_range" },
	{ 0x9b903d29, "svc_generic_rpcbind_set" },
	{ 0xc6e2d21d, "nfs_clone_server" },
	{ 0x86b26ddf, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa5c8f215, "filemap_fdatawrite" },
	{ 0x431a84d2, "nfs_show_stats" },
	{ 0xb033f548, "ida_alloc_range" },
	{ 0xedccc87, "nfs_server_remove_lists" },
	{ 0xdf93199b, "nfs42_ssc_unregister" },
	{ 0xbcd00dc1, "generic_listxattr" },
	{ 0x452ee2f5, "try_module_get" },
	{ 0x11b688fe, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x17f89041, "nfs_writeback_update_inode" },
	{ 0x559dddd3, "clear_inode" },
	{ 0x2bc9adcb, "inode_to_bdi" },
	{ 0x86a5dfb, "bpf_trace_run4" },
	{ 0x3b681da0, "user_destroy" },
	{ 0x39179186, "idr_find" },
	{ 0x7236974a, "param_ops_uint" },
	{ 0x214437b4, "user_revoke" },
	{ 0x7d870b60, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b2b2abe, "nfs_alloc_client" },
	{ 0xe37b348b, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x4936c23d, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd1edc794, "rpc_clnt_probe_trunked_xprts" },
	{ 0xeb18a306, "nfs_pageio_reset_read_mds" },
	{ 0xa5010d44, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xb69f174d, "rpc_shutdown_client" },
	{ 0xd2d861fc, "svc_bind" },
	{ 0x1a07c64d, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x60ba1a1c, "nfs_free_inode" },
	{ 0xddfb25a1, "nfs_access_zap_cache" },
	{ 0x5c194b68, "nfs_sb_deactive" },
	{ 0xa8a8dbab, "nfs_wb_all" },
	{ 0x278e4e37, "generic_file_splice_read" },
	{ 0x3263ca68, "__break_lease" },
	{ 0xfdb29cb4, "nfs_pageio_init_write" },
	{ 0x9c3b29c, "svc_recv" },
	{ 0x55a91585, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x322c3719, "xdr_inline_decode" },
	{ 0xd7239637, "nfs_pageio_init_read" },
	{ 0x7ebb7ea1, "trace_raw_output_prep" },
	{ 0x99109024, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xdf2ee4ef, "nfs_init_commit" },
	{ 0xd1d7a9ea, "nfs_commitdata_release" },
	{ 0xbac1af68, "bpf_trace_run6" },
	{ 0x1bf04f50, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x55a9306b, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xf6b1c094, "nfs_mknod" },
	{ 0x1347a277, "nfs_inode_attach_open_context" },
	{ 0xea4fc978, "finish_wait" },
	{ 0x925c20d6, "nfs4_label_alloc" },
	{ 0xb5b7b9e5, "rpc_localaddr" },
	{ 0x9a0eabe6, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xfd39d637, "trace_event_printf" },
	{ 0xde9592aa, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0xde594840, "idr_replace" },
	{ 0x337fb49d, "nfs_lock" },
	{ 0x132731e7, "unregister_key_type" },
	{ 0x21f890f8, "nfs_client_init_is_complete" },
	{ 0xe798ecf, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xcfa3ef37, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x664ec0b7, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xc66cf631, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xc879408f, "ihold" },
	{ 0x4f057f7b, "truncate_pagecache_range" },
	{ 0x45b1bf, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ec4952f, "invalidate_inode_pages2_range" },
	{ 0x881dd8c6, "nfs_post_op_update_inode" },
	{ 0x6651f38a, "svc_exit_thread" },
	{ 0x1b35fe15, "iput" },
	{ 0x750be0ab, "xdr_set_pagelen" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x7d2f2ac4, "nfs_pgio_header_free" },
	{ 0x19fdc6c2, "nfs_request_add_commit_list_locked" },
	{ 0xf60d5c3e, "add_wait_queue" },
	{ 0xdbf5112d, "logfc" },
	{ 0xe6d3ec20, "nfs_pgio_header_alloc" },
	{ 0x5280f6df, "__put_devmap_managed_page_refs" },
	{ 0xbad8c726, "iter_file_splice_write" },
	{ 0xcc1ecf19, "rpc_pton" },
	{ 0x3fa17e9f, "nfs_sb_active" },
	{ 0x58bc8636, "mod_node_page_state" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0x62d3adc6, "rpc_wake_up_queued_task" },
	{ 0x77e77eaf, "bpf_trace_run2" },
	{ 0x7945f6a2, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x69402bff, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x36558f0b, "rpc_restart_call_prepare" },
	{ 0xfc28c9d6, "event_triggers_call" },
	{ 0x1a648f20, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe5d9723c, "_copy_from_pages" },
	{ 0xdcb67438, "__module_get" },
	{ 0xb4b309c1, "kmem_cache_create" },
	{ 0x6637bd69, "rpc_task_release_transport" },
	{ 0x83141698, "xdr_page_pos" },
	{ 0x84149927, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb9f06439, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xd05c4814, "key_instantiate_and_link" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x8d21fc9c, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xdfce3a12, "register_key_type" },
	{ 0x84f7f18, "rpc_sleep_on" },
	{ 0x2168a889, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x37ecfd93, "nfs_pageio_resend" },
	{ 0x93d31d99, "keyring_alloc" },
	{ 0xaee5ff35, "vfs_setpos" },
	{ 0xe64560f3, "nfs_create" },
	{ 0x6222c365, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcabc1f3, "__put_cred" },
	{ 0x7214139a, "swapcache_mapping" },
	{ 0xbad807b1, "nfs_statfs" },
	{ 0x28e22046, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xc9747c58, "rpc_max_bc_payload" },
	{ 0xfa01e14e, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x3aa28653, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x36c5669d, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xac792d5c, "nfs_mkdir" },
	{ 0x545915a7, "nfs_revalidate_inode" },
	{ 0x87072d4, "inode_newsize_ok" },
	{ 0xc42a226a, "nfs_file_mmap" },
	{ 0x78600bfb, "nfs_get_lock_context" },
	{ 0xe7e3feab, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0xa2e6c9ea, "nfs_set_cache_invalid" },
	{ 0x4aa36929, "rpc_release_client" },
	{ 0xc98c0c0b, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc32107f0, "rt_spin_trylock" },
	{ 0x397f4a13, "xdr_enter_page" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0xd39e76e7, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9d4a7180, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xadd27cfd, "trace_event_ignore_this_pid" },
	{ 0xb99e7c5f, "nfs_generic_pgio" },
	{ 0xa499dfa7, "make_kuid" },
	{ 0xc5dc3de8, "truncate_inode_pages_final" },
	{ 0x78dccbf0, "generic_setlease" },
	{ 0xb06340c5, "xprt_destroy_backchannel" },
	{ 0x362d605e, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0x59959697, "nfs_scan_commit_list" },
	{ 0xddaad4b3, "xdr_stream_decode_string_dup" },
	{ 0x9dac681d, "nfs_commit_inode" },
	{ 0x5c58de3e, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x6701e854, "unregister_shrinker" },
	{ 0x6ed898bb, "rpc_destroy_pipe_data" },
	{ 0xc65369a0, "nfs_get_client" },
	{ 0x8e9b03d8, "__free_pages" },
	{ 0xc22fa141, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x9a85fd78, "nfs_atomic_open" },
	{ 0x6aa2c7db, "rpc_pipe_generic_upcall" },
	{ 0xe673f3ec, "nfs_file_fsync" },
	{ 0x2d1651c8, "module_put" },
	{ 0x6cab5401, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfc70641e, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x80a84ffe, "nfs_put_lock_context" },
	{ 0xe101870d, "nfs_rename" },
	{ 0x4d95ab41, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x54b5e8d7, "nfs_sysfs_link_rpc_client" },
	{ 0xca77f038, "nfs_put_client" },
	{ 0x4e701692, "nfs_show_options" },
	{ 0x7190ad27, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0xac5851bd, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x4b6f6791, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x25fd832f, "get_nfs_open_context" },
	{ 0x46d98881, "perf_trace_run_bpf_submit" },
	{ 0xc5fd2588, "nfs_clear_verifier_delegated" },
	{ 0x405b2364, "nfs_sysfs_add_server" },
	{ 0x1dc34a87, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x38c11315, "down_write" },
	{ 0x1e52a4a1, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x97b12db6, "nfs_do_submount" },
	{ 0x3624c77f, "vfs_dup_fs_context" },
	{ 0x36523dc6, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xbb44ae7b, "request_key_with_auxdata" },
	{ 0x4ec93e07, "rpc_clone_client_set_auth" },
	{ 0x896139d6, "rpc_clone_client" },
	{ 0x63374e2f, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x159488bc, "nfs_client_init_status" },
	{ 0xff49b5ff, "idr_alloc" },
	{ 0xbe3db206, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x461e5170, "radix_tree_preloads" },
	{ 0xf776049, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9c26a611, "put_fs_context" },
	{ 0x4fa64b6, "nfs_retry_commit" },
	{ 0x8c926414, "nfs4_dentry_operations" },
	{ 0xe24154d2, "__module_put_and_kthread_exit" },
	{ 0xd744e187, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x99933e72, "nfs_client_for_each_server" },
	{ 0xe388dbec, "nfs_clear_inode" },
	{ 0x6865b83e, "rpc_sleep_on_priority" },
	{ 0x3fca9c83, "nfs_invalidate_atime" },
	{ 0x9c3da7e9, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc7440631, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x462e61cf, "nfs_getattr" },
	{ 0xcb085385, "mutex_lock" },
	{ 0xf9000eec, "nfs_pageio_reset_write_mds" },
	{ 0xbaee579b, "kmem_cache_free" },
	{ 0x670a1295, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0xdd5a90e0, "xdr_stream_subsegment" },
	{ 0xfee1dd87, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xaeb3502a, "nfs_fscache_open_file" },
	{ 0x385f876b, "from_kgid" },
	{ 0x8925112f, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8fdced81, "nfs_write_inode" },
	{ 0x9b4320e6, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xa9294c77, "rpc_wake_up_first" },
	{ 0x8faee42f, "alloc_nfs_open_context" },
	{ 0xf9e0a930, "list_lru_add_obj" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x688eca71, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x15f916c3, "nfs_path" },
	{ 0x23aebbd0, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x6632d1a8, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x78433386, "register_nfs_version" },
	{ 0xebcbe16e, "rpc_sleep_on_timeout" },
	{ 0x60eac966, "list_lru_count_one" },
	{ 0xe3c1a571, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x6c2ca39e, "rpc_call_start" },
	{ 0x55ede04e, "xprt_setup_backchannel" },
	{ 0xea7dda1d, "bpf_trace_run1" },
	{ 0x1ca62b20, "svc_create" },
	{ 0xb9c27802, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xfe508851, "nfs_file_set_open_context" },
	{ 0xa2d126c2, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x96f4b50, "rpc_call_sync" },
	{ 0x335b45d9, "from_kuid" },
	{ 0xa30ec27f, "rpc_put_task_async" },
	{ 0x2a137cd3, "rpc_prepare_reply_pages" },
	{ 0xd2510cff, "rpc_queue_upcall" },
	{ 0x52d33e0d, "nfs_free_server" },
	{ 0xf1a23e15, "fc_mount" },
	{ 0x98311ded, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0xc147c20e, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb84cd75, "nfs4_fs_type" },
	{ 0x6d5c13a9, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x2ba0b29, "rpc_delay" },
	{ 0x94f6d5c5, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x35e4b798, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xffffb74e, "__init_waitqueue_head" },
	{ 0x3f7e79ec, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xd3cbb239, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x8a5f5ff8, "rpc_exit" },
	{ 0x6a01fc34, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x61c41c3b, "rpc_remove_pipe_dir_object" },
	{ 0xb15fa12b, "nfs_may_open" },
	{ 0x674647e1, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0xb9a5a5f, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4466e11e, "down_read" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x7ede005d, "xdr_reserve_space" },
	{ 0xb77ba4a7, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd5d88eec, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x419cfd00, "nfs_rmdir" },
	{ 0xc38604c1, "bpf_trace_run3" },
	{ 0xca5cddae, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9cfe5359, "nfs_filemap_write_and_wait_range" },
	{ 0xd847c63e, "rpc_mkpipe_dentry" },
	{ 0x892e47cb, "alloc_file_pseudo" },
	{ 0x656f87b8, "rpc_mkpipe_data" },
	{ 0x7e7af78, "rpc_add_pipe_dir_object" },
	{ 0xc3c17baa, "igrab" },
	{ 0x776c8625, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xeda61751, "nfs_async_iocounter_wait" },
	{ 0x8f694422, "nfs_file_read" },
	{ 0x32000ea2, "trace_event_buffer_reserve" },
	{ 0x91fed985, "nfs_alloc_fattr_with_label" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0x8d56f2a9, "filemap_fdatawait_range" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xf7b095e1, "nfs_commitdata_alloc" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7de227af, "nfs_setattr_update_inode" },
	{ 0xae174ebc, "nfs_instantiate" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0xb9a2aef2, "rpc_uaddr2sockaddr" },
	{ 0x8d4221f, "user_read" },
	{ 0x3230ae77, "rpc_restart_call" },
	{ 0xae65cd17, "request_key_tag" },
	{ 0x3a8b2935, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0xbbc7ef42, "alloc_pages" },
	{ 0xc923a98b, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x9f9533b0, "svc_xprt_destroy_all" },
	{ 0x4a72aba3, "generic_key_instantiate" },
	{ 0x919917, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xf0289b5a, "nfs_link" },
	{ 0xd485dd51, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5f970351, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x88356228, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdb6c46d8, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x51a19416, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x516a01f2, "xdr_stream_move_subsegment" },
	{ 0x18e1907a, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x7fd10d2a, "nfs_post_op_update_inode_force_wcc" },
	{ 0x4bf00d6a, "nfs_pgheader_init" },
	{ 0x7ce5c291, "put_nfs_open_context" },
	{ 0x3c1caf08, "nfs_show_path" },
	{ 0xf230d97f, "nfs_show_devname" },
	{ 0xde7ce55d, "nfs_permission" },
	{ 0x8ff25d32, "nfs_initiate_commit" },
	{ 0x4ac84867, "truncate_inode_pages_range" },
	{ 0x9f8158c7, "__put_user_ns" },
	{ 0xe809ec9, "cred_fscmp" },
	{ 0x6a85c4e6, "rpc_unlink" },
	{ 0x8b47fa21, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x1b45ed7e, "proc_dointvec" },
	{ 0x868ce2eb, "remove_wait_queue" },
	{ 0x6c920d3b, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0xac491f50, "node_data" },
	{ 0x40a408d3, "nfs_probe_server" },
	{ 0x3b276991, "nfs_setsecurity" },
	{ 0x2f5c79f2, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x857bd85f, "rpc_clnt_test_and_add_xprt" },
	{ 0x8e0951eb, "file_ra_state_init" },
	{ 0x4a87be3b, "nfs_force_lookup_revalidate" },
	{ 0xd0ffca77, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x2678b2e1, "rpc_clnt_add_xprt" },
	{ 0x7ff2fe5e, "dget_parent" },
	{ 0x10241cc5, "from_kuid_munged" },
	{ 0x9fa741c, "prepare_kernel_cred" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x22137979, "nfs_alloc_server" },
	{ 0xf5506314, "rpc_call_async" },
	{ 0xbd7ff57f, "security_dentry_init_security" },
	{ 0x78bea9f2, "filemap_write_and_wait_range" },
	{ 0xcf8b6888, "list_lru_del_obj" },
	{ 0x24a38f97, "nfs_server_insert_lists" },
	{ 0xf5a396cb, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0xc1f59087, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xd17c1a1e, "rpc_init_pipe_dir_object" },
	{ 0x2108dff9, "bpf_trace_run7" },
	{ 0xd5a33b55, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0x6bf9d5b, "nfs_init_server_rpcclient" },
	{ 0xb49403e9, "__mark_inode_dirty" },
	{ 0x1be9da9f, "rpc_set_connect_timeout" },
	{ 0x732441d4, "rpcauth_create" },
	{ 0x7b30a7bd, "xdr_stream_pos" },
	{ 0x44c33ba2, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0xcc00016, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0x774d82f4, "svc_xprt_create" },
	{ 0x5314042, "nfs42_ssc_register" },
	{ 0xfc16e7a8, "rpc_wait_for_completion_task" },
	{ 0x299ea569, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x7fa97976, "rpc_num_bc_slots" },
	{ 0xdc4eb195, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70db9de6, "rpc_destroy_wait_queue" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0x8d9f00f4, "security_inode_listsecurity" },
	{ 0xdf309e4a, "nfs_fhget" },
	{ 0xa0821aa6, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x515be662, "locks_copy_lock" },
	{ 0xff9ffea8, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x8ac28e94, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x17ca4136, "nfs_set_verifier" },
	{ 0x4f6f0d68, "proc_dointvec_minmax" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "B7F222D70E9767EDDAC5CDD");
MODULE_INFO(rhelversion, "9.5");
