#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(esp6_output_head, "_gpl", "");
KSYMTAB_FUNC(esp6_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp6_input_done2, "_gpl", "");

SYMBOL_CRC(esp6_output_head, 0x79ccada2, "_gpl");
SYMBOL_CRC(esp6_output_tail, 0x446c36e2, "_gpl");
SYMBOL_CRC(esp6_input_done2, 0x8644b5c8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x37a0cba, "kfree" },
	{ 0x7c6ba3ea, "crypto_aead_setauthsize" },
	{ 0x7a772fc2, "crypto_aead_setkey" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x23446be9, "xfrm_state_lookup" },
	{ 0xa499dfa7, "make_kuid" },
	{ 0x2bc76f44, "ip6_update_pmtu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x59b3975f, "ip6_redirect" },
	{ 0x955bdc58, "__xfrm_state_destroy" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xecfffdb9, "napi_pp_put_page" },
	{ 0x5280f6df, "__put_devmap_managed_page_refs" },
	{ 0xd485dd51, "__folio_put" },
	{ 0x3e02589b, "sk_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x681c8ae5, "skb_to_sgvec" },
	{ 0xfb578fc5, "memset" },
	{ 0xb3c80e68, "crypto_aead_encrypt" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x36efc7a1, "skb_page_frag_refill" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x61975a96, "xfrm_trans_queue_net" },
	{ 0x3bc51873, "skb_copy_bits" },
	{ 0xbf047058, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4249489e, "ipv6_skip_exthdr" },
	{ 0x748baad1, "km_new_mapping" },
	{ 0xf30f36e0, "skb_pull_rcsum" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x2b6032cd, "xfrm_input_resume" },
	{ 0x8b64cbd9, "skb_cow_data" },
	{ 0x26580ac9, "crypto_aead_decrypt" },
	{ 0xb15ec0a3, "skb_push" },
	{ 0xbd956c0e, "__pskb_pull_tail" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd818c5c, "__inet6_lookup_established" },
	{ 0x54ca982c, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x343c6d27, "espintcp_push_skb" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x105c92ae, "espintcp_queue_out" },
	{ 0xfa0ccac4, "pskb_put" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x33195dae, "xfrm_state_mtu" },
	{ 0x19a7bc1a, "xfrm_dev_resume" },
	{ 0x25171119, "xfrm_output_resume" },
	{ 0xb6d31108, "__skb_ext_del" },
	{ 0x2e9ea147, "kfree_skb_reason" },
	{ 0xac38e0cf, "xfrm6_rcv" },
	{ 0xe5702e25, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x548200ac, "skb_checksum" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x7c7ac79, "xfrm_register_type" },
	{ 0x92997ed8, "_printk" },
	{ 0xeecc7d6a, "xfrm6_protocol_register" },
	{ 0x809586f1, "xfrm_unregister_type" },
	{ 0x9b8e3bf5, "crypto_destroy_tfm" },
	{ 0x298c8261, "xfrm6_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd19a5fda, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "C2EA4915414A75E8E73E17F");
MODULE_INFO(rhelversion, "9.5");
