#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xdbf62996, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xd323c784, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xa0288db3, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x2dd8c8a4, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x2fa76e26, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xd4ccadd8, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xa87a5a81, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x44d53c56, "");
SYMBOL_CRC(ip_vs_conn_put, 0x81c2393a, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x73e5f007, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x8758398e, "");
SYMBOL_CRC(register_ip_vs_app, 0x86ee266a, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x9e773eec, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x4bfb0651, "");
SYMBOL_CRC(ip_vs_proto_get, 0x4210b46b, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x26e43f1e, "");
SYMBOL_CRC(register_ip_vs_pe, 0x3fdafb7a, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xd9406f35, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x15eca0a0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x315efd7d, "nf_ct_ext_add" },
	{ 0x102298e4, "nf_conntrack_find_get" },
	{ 0x452ee2f5, "try_module_get" },
	{ 0x27c0aa10, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6a11fb88, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x3bc51873, "skb_copy_bits" },
	{ 0x86336cc5, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9e36733c, "proc_dointvec_jiffies" },
	{ 0x38fa186a, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8b630f59, "consume_skb" },
	{ 0xc380a5d5, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x1050958c, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x69bd4e66, "nf_register_sockopt" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xd8f014bd, "nf_ct_netns_get" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xea4fc978, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xeeceab40, "kernel_bind" },
	{ 0xd0e2fe73, "genlmsg_put" },
	{ 0xfe26f466, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9adc4f7, "ip6_route_me_harder" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x7945f6a2, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xdcb67438, "__module_get" },
	{ 0xc2abe67a, "ip_route_output_flow" },
	{ 0xb4b309c1, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xce56d8c, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x7d3b786e, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xae4aa968, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8528cb4, "pskb_expand_head" },
	{ 0x8ddd83d4, "register_pernet_subsys" },
	{ 0x28e22046, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x52a66df6, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa934b246, "nf_register_net_hooks" },
	{ 0xb1df8a61, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2281028, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc22fa141, "kmem_cache_alloc" },
	{ 0x3687159a, "ipv6_sock_mc_join" },
	{ 0x2d1651c8, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x36c775b, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x44b88ee2, "__skb_get_hash" },
	{ 0xdf9e8c7d, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xca4aae28, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x62d263b0, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x55c16a8e, "nf_conntrack_alter_reply" },
	{ 0x9ad71566, "ip_route_me_harder" },
	{ 0x2e9ea147, "kfree_skb_reason" },
	{ 0xcb085385, "mutex_lock" },
	{ 0xb15ec0a3, "skb_push" },
	{ 0xbaee579b, "kmem_cache_free" },
	{ 0x5fc25527, "seq_putc" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x5c0455ec, "proc_doulongvec_minmax" },
	{ 0x2edac422, "nf_ct_expect_alloc" },
	{ 0x4029c891, "skb_ensure_writable" },
	{ 0x6159fd7f, "iov_iter_kvec" },
	{ 0x5898860a, "ip_mc_join_group" },
	{ 0x55347848, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2f6ae8b3, "ns_capable" },
	{ 0x1d1e8f6e, "nf_unregister_net_hooks" },
	{ 0xe4b3b8e7, "inet_select_addr" },
	{ 0xdb17d9f9, "unregister_pernet_device" },
	{ 0x93a6891e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdb432620, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x277aaba3, "kthread_stop" },
	{ 0x15a5bcb1, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3bdc48c4, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x987c5ecd, "kernel_connect" },
	{ 0x548200ac, "skb_checksum" },
	{ 0x8f8858e3, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6668b683, "__icmpv6_send" },
	{ 0xbd956c0e, "__pskb_pull_tail" },
	{ 0x1a2bad4f, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5ea2c797, "skb_trim" },
	{ 0x5822f02b, "nf_hook_slow" },
	{ 0xcff20d69, "mutex_trylock" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd5d88eec, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xb08be69e, "nf_ct_deliver_cached_events" },
	{ 0x638eb6de, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2e2dd5d1, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x49652f68, "__icmp_send" },
	{ 0xe305b948, "ipv4_mtu" },
	{ 0x999e8297, "vfree" },
	{ 0xcf54230c, "skb_set_owner_w" },
	{ 0xceb615ac, "__skb_checksum" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x7acd9622, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0x81ff437e, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x240ce7a3, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1311ae37, "seq_printf" },
	{ 0x90458cd8, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x772c01cd, "proc_create_net_single" },
	{ 0xaac295c6, "ipv4_update_pmtu" },
	{ 0xcba2c01a, "nf_defrag_ipv6_enable" },
	{ 0x31ec6aba, "dst_release" },
	{ 0xa57ed161, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1b45ed7e, "proc_dointvec" },
	{ 0xc038657b, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x360b0e5e, "unregister_net_sysctl_table" },
	{ 0x4e067c57, "ip_local_out" },
	{ 0xd3eca30c, "genl_unregister_family" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xf2b5b324, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xfd312e54, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x5769e48a, "genl_register_family" },
	{ 0x8b82828a, "kernel_sendmsg" },
	{ 0xbb9d444c, "nf_ct_netns_put" },
	{ 0x6d1612e9, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xff9ffea8, "kmem_cache_destroy" },
	{ 0xb343c2d2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4f6f0d68, "proc_dointvec_minmax" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "19A6DAAF650C30AEC160D30");
MODULE_INFO(rhelversion, "9.5");
