#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0xf25b8b17, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xf66b7640, "_gpl");
SYMBOL_CRC(tls_get_record, 0x1c3d7c61, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x5dfa8f75, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xb2df7ebb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1857a74e, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x666efa3a, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x318bd30f, "tcp_read_sock" },
	{ 0x86a5dfb, "bpf_trace_run4" },
	{ 0x3bc51873, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdf08dd8b, "sk_page_frag_refill" },
	{ 0xb1f221e4, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8b630f59, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7ebb7ea1, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x8f571482, "sk_psock_msg_verdict" },
	{ 0xbac1af68, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbb0783ec, "rt_mutex_base_init" },
	{ 0xfd39d637, "trace_event_printf" },
	{ 0x8e97ae65, "iov_iter_get_pages2" },
	{ 0xbf047058, "___pskb_trim" },
	{ 0xc66cf631, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf60d5c3e, "add_wait_queue" },
	{ 0x5280f6df, "__put_devmap_managed_page_refs" },
	{ 0x8da2cc40, "clean_acked_data_enable" },
	{ 0x717f0c4f, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd19a5fda, "crypto_alloc_aead" },
	{ 0x4536b00d, "__tracepoint_sk_data_ready" },
	{ 0x7c6ba3ea, "crypto_aead_setauthsize" },
	{ 0x26580ac9, "crypto_aead_decrypt" },
	{ 0xfc28c9d6, "event_triggers_call" },
	{ 0x1a648f20, "__wake_up" },
	{ 0x86b2ccff, "sk_stream_error" },
	{ 0x9ccdb627, "sk_msg_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x57dd2cc4, "sk_msg_memcopy_from_iter" },
	{ 0xff277688, "sk_error_report" },
	{ 0x8ddd83d4, "register_pernet_subsys" },
	{ 0x39e0771, "put_cmsg" },
	{ 0x3e58bc80, "__sk_flush_backlog" },
	{ 0xfa01e14e, "trace_event_buffer_commit" },
	{ 0x9b8e3bf5, "crypto_destroy_tfm" },
	{ 0x71983a6, "do_tcp_sendpages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf1fa7a97, "sk_psock_tls_strp_read" },
	{ 0x9028083c, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xadd27cfd, "trace_event_ignore_this_pid" },
	{ 0xb2281028, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x123a6a46, "rt_write_unlock" },
	{ 0x1dddb035, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xfe24dbaa, "tcp_recv_skb" },
	{ 0x7a772fc2, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x46d98881, "perf_trace_run_bpf_submit" },
	{ 0x38c11315, "down_write" },
	{ 0x20132522, "crypto_req_done" },
	{ 0x36523dc6, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3c80e68, "crypto_aead_encrypt" },
	{ 0x34194aff, "__SCK__tp_func_sk_data_ready" },
	{ 0x9c3da7e9, "bpf_trace_run5" },
	{ 0x3e02589b, "sk_free" },
	{ 0xca678cbf, "skb_store_bits" },
	{ 0x2e9ea147, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x3a24ffc6, "__sk_mem_reclaim" },
	{ 0xf8b1af9c, "sk_stream_wait_memory" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x8925112f, "trace_event_reg" },
	{ 0x6159fd7f, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x99faf63a, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x93a6891e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6bf2147b, "sk_msg_return_zero" },
	{ 0xef045d72, "mutex_lock_interruptible" },
	{ 0xc6465022, "skb_copy_datagram_iter" },
	{ 0xea7dda1d, "bpf_trace_run1" },
	{ 0x85df1f49, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x3bdc48c4, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe65a84f6, "sock_efree" },
	{ 0x6aee8ca7, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbfdef9fd, "clean_acked_data_disable" },
	{ 0xffffb74e, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x14ea82cf, "sk_msg_free_partial" },
	{ 0x4466e11e, "down_read" },
	{ 0x5ea2c797, "skb_trim" },
	{ 0xcff20d69, "mutex_trylock" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0xc365ce20, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa0b453f8, "tcp_register_ulp" },
	{ 0xc38604c1, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xa25a9c7a, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x36efc7a1, "skb_page_frag_refill" },
	{ 0x32000ea2, "trace_event_buffer_reserve" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x647313f0, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xbbc7ef42, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xd485dd51, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x240ce7a3, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1311ae37, "seq_printf" },
	{ 0x772c01cd, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x2edd90cc, "skb_clone" },
	{ 0x31ec6aba, "dst_release" },
	{ 0xc4839a01, "rt_write_lock" },
	{ 0xa8325a34, "_copy_from_iter" },
	{ 0x69fc4610, "skb_copy_header" },
	{ 0xa520c655, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x868ce2eb, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x247512e1, "netdev_sk_get_lowest_dev" },
	{ 0x645fa91f, "sk_msg_alloc" },
	{ 0xe5fd794b, "kmalloc_trace" },
	{ 0xc33ee67b, "_copy_from_iter_nocache" },
	{ 0xff9337ff, "tcp_rate_check_app_limited" },
	{ 0x152b6e14, "tcp_poll" },
	{ 0x1c0f6111, "iov_iter_revert" },
	{ 0x72845d35, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x681c8ae5, "skb_to_sgvec" },
	{ 0xcc00016, "up_read" },
	{ 0xfe83d832, "__mutex_rt_init" },
	{ 0x19fff0d9, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3c6fa062, "kmalloc_caches" },
	{ 0xa8512c4, "tcp_read_done" },
	{ 0xb343c2d2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7056DAA37D02E0E08BCAB4D");
MODULE_INFO(rhelversion, "9.5");
