#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0x93985a66, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xf4b515dd, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x475a1e08, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x2cffb28a, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0xe35d95b6, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xa0332629, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x91636a6c, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x8bef3235, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x2a2a9d04, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x49720b5a, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xb921367b, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x338f66a1, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x33b31d85, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x6b2aa5de, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0xb7004ce9, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x6eee09a4, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x74b65869, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0xd841270f, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x224a4070, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x7a335046, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xf897d9d3, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x89646221, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x8aa0e95c, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x63167435, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0xc25d96d8, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x77c14317, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x6e8d56b, "sock_map_close" },
	{ 0xef066c2, "sock_queue_rcv_skb_reason" },
	{ 0x452ee2f5, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9bc62345, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8b630f59, "consume_skb" },
	{ 0xea4fc978, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x664ec0b7, "prepare_to_wait" },
	{ 0xdcac2b2a, "sock_map_unhash" },
	{ 0xc134f43e, "pcpu_hot" },
	{ 0xf60d5c3e, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdcb67438, "__module_get" },
	{ 0x86b2ccff, "sk_stream_error" },
	{ 0x9ccdb627, "sk_msg_recvmsg" },
	{ 0xb5d05820, "ns_capable_noaudit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcabc1f3, "__put_cred" },
	{ 0xff277688, "sk_error_report" },
	{ 0x25fe1a02, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf1dbbce4, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x11ce4f77, "sock_register" },
	{ 0xd0da656b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x123a6a46, "rt_write_unlock" },
	{ 0xf12b8b9e, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0x2d1651c8, "module_put" },
	{ 0x6c68184c, "sk_msg_is_readable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3e02589b, "sk_free" },
	{ 0x2e9ea147, "kfree_skb_reason" },
	{ 0x319c7dc2, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0xcb085385, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a8f387c, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x99faf63a, "sock_recv_errqueue" },
	{ 0x93a6891e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xef045d72, "mutex_lock_interruptible" },
	{ 0x7ff4b9b6, "sk_alloc" },
	{ 0xb5bb1c2b, "sock_no_socketpair" },
	{ 0x3ff7d47, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb05b886b, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xb1e39ec9, "sock_no_sendpage" },
	{ 0xf4400fb6, "rt_spin_unlock" },
	{ 0x844d7264, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0xb7baa363, "nonseekable_open" },
	{ 0xa25a9c7a, "sk_psock_drop" },
	{ 0xb9cc602b, "__dev_queue_xmit" },
	{ 0x49b04b97, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x833e27bd, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x2edd90cc, "skb_clone" },
	{ 0xc4839a01, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x868ce2eb, "remove_wait_queue" },
	{ 0xf2f8e79, "sock_no_ioctl" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa6ab4b60, "sock_setsockopt" },
	{ 0x505d5c62, "sock_init_data" },
	{ 0xb343c2d2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc82c983a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A65FFC99FEFF720CACF8119");
MODULE_INFO(rhelversion, "9.5");
